PlayerUnits = 0
Endpoint = 0
destroyed = 0
defending = 0

function QueueAssets()
  QueueVFX("ElderStone_EnergyProp")
  QueueVFX("ElderStone_EnergyPropStones")
end

function onDeployStart()
	SetWinnable(false)
	createStartingTroops(False)  -- This part here
	AddTargetCircle("Area9")
	SetTriggerCallbacks("Area3", Area3_onTriggerEnter, Area3_onTriggerLeave)
	SetTriggerCallbacks("Area4", Area4_onTriggerEnter, Area4_onTriggerLeave)
	SetTriggerCallbacks("Area9", Area9_onTriggerEnter, Area9_onTriggerLeave)
	SetTriggerCallbacks("setgo", setgo_onTriggerEnter, setgo_onTriggerLeave)
	PlayVFX("ElderStone_EnergyProp", "stone")
	PlayVFX("ElderStone_EnergyPropStones", "stone1")
	PlayVFX("ElderStone_EnergyPropStones", "stone2")
	PlayVFX("ElderStone_EnergyPropStones", "stone3")
	PlayVFX("ElderStone_EnergyPropStones", "stone4")
	PlayVFX("ElderStone_EnergyPropStones", "stone5")
	PlayVFX("ElderStone_EnergyPropStones", "stone6")
	PlayVFX("ElderStone_EnergyPropStones", "stone7")
	PlayVFX("ElderStone_EnergyPropStones", "stone8")
	PlayVFX("ElderStone_EnergyPropStones", "stone9")
	--SetPanningCamera(105.8, -146.7, 42.3, -0.78, -0.34) -- focusX, focusY, zoom, heading, pitch
end

-- working example of key binding
function onKeyDown(keys)
	if keys == "A" then
		ShowDialog("Portraits/Guard_talkinghead", "TXT_AKINGDOMLOST_2")
	end
end

function onLevelStart()
	SetDisplayTimer(360, 0)
	AddTimer(360.0, endlevel)
	SetVictoryBarEnabled(false)
	--AddTimer(1.0, ShowDialog,"Portraits/Guard_talkinghead", "TXT_WINDINGROAD2_4")
	--AddTimer(1.0, ShowUIGuideArrow,"BtnMultiselect")
	--SetPanningCamera(112.2, -142.4, 42.5, -0.78, -0.34) -- focusX, focusY, zoom, heading, pitch
	Setskeleton()
end

function endlevel()
	Lose()
end

function createStartingTroops(forPlinthInspector)
    if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("skeletonend")
		SpawnUnits("ragnarend")
		SpawnUnits("Spawn1")
	end
end

function onCameraAnimationFinish(cameraName)
--	SetTutorial("camera is"..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead", "TXT_WINDINGROAD2_2")
		--SetPanningCamera(107, -157.4, 38.5, -0.6, -0.56) -- focusX, focusY, zoom, heading, pitch		
	end

end

function Setskeleton()	-- stops skeletons from moving
	local units = GetUnits("*", "*", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, true)
	end
end

function Setskeletongo() -- unleashes skeletons when player hits trigger 1
	local units = GetUnits("*", "*", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, false)
	end
end

function setgo_onTriggerEnter(unit)
	if unit.attacker then
		Setskeletongo()
		DisableTrigger("setgo")
		HideUIGuideArrow("BtnMultiselect")
	end
end

function Area3_onTriggerEnter(unit)
	if unit.attacker then
		HideDialog()
		DisableTrigger("Area3")
		SpawnUnits("Spawn1")
		ShowDialog("Portraits/Guard_talkinghead", "TXT_AKL_1")	
	end
end


--[[function Area4_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("Area4")
		SpawnUnits("Spawn2")
	end

end]]

function Area9_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("Area9")
		SpawnUnits("skeletonend")
		SpawnUnits("ragnarend")
		--AddTimer(20.0, RespawnUnits,"ragnarend")
		ClearTargetCircles()
		ClearAllGuideArrows()
	end
SetWinnable(true)
SetVictoryBarEnabled(true)
AddTimer(2.0,endgame1)
		--AddTimer(42.0, endgame)
--		Endpoint = Endpoint + 1
--		SetTutorial("Endpoint = "..Endpoint)
--		UnitCheck()
end

function endgame1()
	ShowDialog("Portraits/Guard_talkinghead", "TXT_AKINGDOMLOST_2")
	AddTimer(5.0,endgame3)
end	

--function endgame2()
	--ShowDialog("Portraits/Guard_talkinghead", "TXT_AKINGDOMLOST_3")
	--AddTimer(3.0,endgame3)
--end	

function endgame3()
	ShowDialog("Portraits/Guard_talkinghead", "TXT_AKINGDOMLOST_4")
	AddTimer(5.0,endgame)
end	

function endgame()
	ShowDialog("Portraits/Guard_talkinghead", "TXT_AKINGDOMLOST_5") 
	StopVFX("*")
	--StopVFX("ElderStone_EnergyProp")
	--StopVFX("ElderStone_EnergyPropStones")

end


--[[function Area9_onTriggerLeave(unit)
	if unit.attacker then
--		Endpoint = Endpoint - 1
--		SetTutorial("Endpoint = "..Endpoint)
--		UnitCheck()
	end
end]]


--[[function UnitCheck()
	local numberofattackerunits = table.getn( GetUnits("*","*",0) )
	if  numberofattackerunits ==  Endpoint then
		ClearTargetCircles()
		ClearAllGuideArrows()
		SetWinnable(true)
	end	
end]]


--[[function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 2 then

		end
	end
	if unit.spawnId == "[START]Pike1" then
--		defending = defending + 1				-- only 1 defending unit placed now no need for variable counter
--		if defending == 2 then
			ShowDialogDismiss("Portraits/Guard_talkinghead", "TXT_AKINGDOMLOST_1") 
			AddTargetCircle("Area9")
--		end
	end	
end]]

function onMultiSelectStarted()
	HideUIGuideArrow("BtnMultiselect")
	Setskeletongo()
end

--[[function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(2/14)
	AddVictoryBarMarker(6/14)
	AddVictoryBarMarker(10/14)
	AddVictoryBarMarker(1.0)
end]]
