

destroyed = 0


function onDeployStart()
	SetWinnable(false)
	AddTargetCircle("protect")
--	DisableNecromancer()
end

function onLevelStart()
	SetupVictoryBar()
	SetTriggerCallbacks("protect", protect_onTriggerEnter) -- central area player is supposed to protect
	SetTriggerCallbacks("NW", NW_onTriggerEnter)
	SetTriggerCallbacks("NE", NE_onTriggerEnter)
	SetTriggerCallbacks("SW", SW_onTriggerEnter)
	SetTriggerCallbacks("SE", SE_onTriggerEnter)
	SpawnUnits("spawnNE")
	SpawnUnits("spawnNW")
end


function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowMessageBox("TXT_WINDINGROAD2_1","TXT_AKR_1")
	end
end


function NW_onTriggerEnter(unit)
	if unit.defender then
		ShowDialog("Portraits/Guard_talkinghead","TXT_AKR_2")
	end
end


function SW_onTriggerEnter(unit)
	if unit.defender then
		ShowDialog("Portraits/Guard_talkinghead","TXT_AKR_3")
	end
end


function NE_onTriggerEnter(unit)
	if unit.defender then
		ShowDialog("Portraits/Guard_talkinghead","TXT_AKR_4")
	end
end


function SE_onTriggerEnter(unit)
	if unit.defender then
		ShowDialog("Portraits/Guard_talkinghead","TXT_AKR_5")
	end
end



function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
	end
	if destroyed == 2 then
		
	end
	if destroyed == 4 then
		SpawnUnits("spawnSE")
		SpawnUnits("spawnSW")
	end
	if destroyed == 8 then
	--	SpawnUnits("spawnALL")
		SetWinnable(true)
	end
end


function protect_onTriggerEnter(unit)
	if unit.defender then
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP21_2")
		AddTimer(3.0, gameover)
		
	end
end


function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(4/8)
	AddVictoryBarMarker(1.0)
end



function gameover()
	Lose()
end





























