destroyed = 0
SpellLevel = 0
Army = 0
Army1 = 0
Rank = 0

function QueueAssets()
  QueueVFX("ElderStone_EnergyProp")
  QueueVFX("ElderStone_EnergyPropStones")
end

function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetWinnable(false)
	DisableNecromancer()

	PlayVFX("ElderStone_EnergyProp", "stone")
	PlayVFX("ElderStone_EnergyPropStones", "stone1")
	PlayVFX("ElderStone_EnergyPropStones", "stone2")
	PlayVFX("ElderStone_EnergyPropStones", "stone3")
	PlayVFX("ElderStone_EnergyPropStones", "stone4")
	PlayVFX("ElderStone_EnergyPropStones", "stone5")
	PlayVFX("ElderStone_EnergyPropStones", "stone6")
	PlayVFX("ElderStone_EnergyPropStones", "stone7")
	PlayVFX("ElderStone_EnergyPropStones", "stone8")

end

function onLevelStart()
	--SetupVictoryBar()
	SetTriggerCallbacks("protect", protect_onTriggerEnter) -- central area player is supposed to protect
	RespawnUnits("rand1", Army)
end


function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP21_1")
	end
end



function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 1 then
			RespawnUnits("rand2", Army)
		end
		if destroyed == 4 then
			RespawnUnits("rand4", Army1)
		end
		if destroyed == 4 then
			RespawnUnits("rand3", Army)
			StopVFX("ElderStone_EnergyProp")
			ShowDialog("Portraits/Guard_talkinghead","TXT_SP21_2")
			RespawnUnits("evilTitan", Army)
			AddTimer(3, EvilTitanThreat)
			SetWinnable(true)			
		end

	end
end

function EvilTitanThreat()
	ShowDialog("Portraits/dip_alm_talkinghead","TXT_C4_10_EVIL_TITAN_1")
end


--[[function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(2/10)
	AddVictoryBarMarker(4/10)
	AddVictoryBarMarker(1.0)
end]]


function createStartingTroops(forPlinthInspector)

	-- Balanced for castle level 4
	SpellLevel = 2
	Army = 2
	Army1 = 2

	SpawnUnits("start",Army)
	
	if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("rand1", Army)
		SpawnUnits("rand2", Army)
		SpawnUnits("rand1", Army)
		SpawnUnits("rand2", Army1)
		SpawnUnits("rand3", Army)
		SpawnUnits("rand4", Army1)
		SpawnUnits("evilTitan", Army)
	end
end











