

AttackersZone1 = false
AttackersZone2 = false
DefendersZone1 = true
DefendersZone2 = true
Captured1 = false
Captured2 = false
respawner = 0
killcount = 0
SpellLevel = 0
Army = 0
Rank = 0

function onDeployStart()
	AddTargetCircle("Capture1")
	AddTargetCircle("Capture2")
	createStartingTroops(False)

end

function createStartingTroops(forPlinthInspector)
	
	-- Balanced for castle level 8
	SpellLevel = 6
	Army = 6

	SpawnUnits("start",Army)

		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("spawn5",Army)
		SpawnUnits("spawn6",Army)
		SpawnUnits("spawn7",Army)
		SpawnUnits("spawn1",Army)
		SpawnUnits("spawn3",Army)
		SpawnUnits("spawn2",Army)
		SpawnUnits("spawn4",Army)
	end
end



function onLevelStart()
	SetTriggerCallbacks("RightSideTrigger", RightSideTrigger_onTriggerEnter) -- Player going to right hand side capture point
	SetTriggerCallbacks("LeftLowerTrigger", LeftLowerTrigger_onTriggerEnter) -- Player going to lower left hand side capture point
	SetTriggerCallbacks("LeftUpperTrigger", LeftUpperTrigger_onTriggerEnter) -- Player going to right hand side capture point
	SetTriggerCallbacks("Capture1", Capture1_onTriggerEnter) -- Player going to left hand side capture point
	SetTriggerCallbacks("Capture2", Capture2_onTriggerEnter) -- Player going to left hand side capture point
	triggercheck()
	SetDisplayTimer(360,0)
	AddTimer(360, Lose)
end




function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_SP19_1")
	end
	if cameraName == "BATTLE_START" then

	end
end


function triggercheck()
	local var1 = CountDefendersInTrigger("Capture1")
	if var1 == 0 then 
		DefendersZone1 = false
	elseif var1 > 0 then
		DefendersZone1 = true
	end 
	
	local var2 = CountDefendersInTrigger("Capture2")
	if var2 == 0 then 
		DefendersZone2 = false
	elseif var2 > 0 then
		DefendersZone2 = true
	end 
	
	local var3 = CountAttackersInTrigger("Capture1")
	if var3 == 0 then 
		AttackersZone1 = false
	elseif var3 > 0 then
		AttackersZone1 = true
	end 
	
	local var4 = CountAttackersInTrigger("Capture2")
	if var4 == 0 then 
		AttackersZone2 = false
	elseif var4 > 0 then
		AttackersZone2 = true
	end 
	Success()
end


function Success()
	AddTimer(3.0, triggercheck)
	if DefendersZone1 == false and AttackersZone1 == true then 
		--ShowDialog("Portraits/Guard_talkinghead","TXT_SP19_2place1")
		Captured1 = true
	else
		Captured1 = false
	end
	if DefendersZone2 == false and AttackersZone2 == true then 
		--ShowDialog("Portraits/Guard_talkinghead","TXT_SP19_2place2")
		Captured2 = true
	else
		Captured2 = false
	end	
	if Captured1 == true and Captured2 == true then
		Win()
	end
end



function onUnitSelected(unit)

end

function onUnitDeselected()

end

function onUnitOrderGiven(unit, orderType)

end

--[[function onUnitDestroyed(unit)
	if unit.defender and respawner <= killcount then
		respawner = respawner + 1
		 if respawner == 2
		    SpawnUnits("spawn1moss",Army)
			SpawnUnits("spawn3rag",Army)
		 elseif respawner ==4 then
)
		 elseif respawner ==5 then
		    
		elseif respawner ==4 then
		    
	end
end]]

function RightSideTrigger_onTriggerEnter(unit)
		if unit.attacker then
			SpawnUnits("spawn5",Army)
		end
end

function LeftLowerTrigger_onTriggerEnter(unit)
		if unit.attacker then
			SpawnUnits("spawn6",Army)
		end
end

function LeftUpperTrigger_onTriggerEnter(unit)
		if unit.attacker then
			SpawnUnits("spawn7",Army)
		end
end

function Capture1_onTriggerEnter(unit) 	-- determine if this is the first capture point to be attacked or not
         if unit.attacker then
				SpawnUnits("spawn1",Army)
				SpawnUnits("spawn3",Army)					-- spawn more units
		end
end	

function Capture2_onTriggerEnter(unit) 	-- determine if this is the first capture point to be attacked or not
		if unit.attacker then
			SpawnUnits("spawn2",Army)
			SpawnUnits("spawn4",Army)								-- spawn more units
		end
end































