
-- Global variables
destroyed = 0


--deploy phase
function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetAutoOrdersButtonEnabled(false)
	SetMultipleUnitSelectionButtonEnabled(false)
	SpawnUnits("pike",3)
	SetFightButtonEnabled(false)
end

-- battle start
function onLevelStart()
	SetMultipleUnitSelectionButtonEnabled(false)
	SetBattleTime(120,0)
	stopdefender()
	

end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank <= 3 then
			Army = 1
		elseif Rank >= 4 then
			Army = Rank -2
		end
    if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("pike",3)
	end
end


function stopdefender()
 local units = GetUnits("pike", "*", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, true)
		AddTimer(10.0,startdefender)
	end
end

function startdefender()
 local units = GetUnits("pike","*",1)
   for i,unit in pairs(units) do
      SetUnitStandGround(unit, false)
  end
end

function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		--ShowMessageBox("TXT_MISSION5_1", "TXT_MISSION7_1")
		ShowDialogInPosition("Portraits/Archer_talkinghead","TXT_MISSION7_3","BOTTOM_LEFT")
		ShowDialogInPosition("Portraits/Archer_talkinghead","TXT_MISSION7_4","BOTTOM_LEFT")
--		ShowDialogInPosition("Portraits/Guard_talkinghead","TXT_MISSION7_1","BOTTOM_LEFT")
--		ShowDialogInPosition("Portraits/Guard_talkinghead","TXT_MISSION7_2","BOTTOM_LEFT")
	end
end

function onTalkingHeadFinish(text)
	if text == "TXT_MISSION7_4" then
		SetFightButtonEnabled(true)
	end
end







