
selectionCount = 0
orderGiven = false
waitingForOrder = false
shouldPlayTapUnitMovie = true

function onDeployStart()
  PlayBattlefieldAnimation("ELDERSTONE2")
  SetMultipleUnitSelectionButtonEnabled(false)
  SetStandGuardButtonEnabled(false)
  inDeploy = true
    SetMultipleUnitSelectionButtonEnabled(false)
  SetAutoOrdersButtonEnabled(false)
  DisableNecromancer(true)

  if HasBattleBeenRestarted() then
    ShowDialog("Portraits/Guard_talkinghead","TXT_SP1A_BATTLE_RESTARTED")
    orderGiven = true -- Don't need to re-do the tutorial parts
	shouldPlayTapUnitMovie = false
  else
    EnableSelectionChange(false) -- Don't allow player to select unit before the popup
    SetFightButtonEnabled(false)
  end
end

function onLevelStart()
	SetMultipleUnitSelectionButtonEnabled(false)
  SetStandGuardButtonEnabled(false)
   inDeploy = false
  EnableSelectionChange(true)
  SetBattleTime(120,0)
  HideDialog()
  --ShowDialog("Portraits/Guard_talkinghead","TXT_MISSION1_1")
  SetPanningCamera(12.4, -106.5, 41.6, -0.41, -0.27) -- focusX, focusY, zoom, heading, pitch
  CloseTutorialMovie()
end

function onCameraAnimationFinish(cameraName)
  if cameraName == "CAMERA_INTRO*" and not orderGiven then
    ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_SP1A_SELECT_UNIT")
    EnableSelectionChange(true)
	playTapUnitMovie()
	AddTimer(0.0, SetPanningCamera,12.4, -106.5, 41.6, -0.41, -0.27) -- focusX, focusY, zoom, heading, pitch
  end

	if cameraName == "BATTLE_START" then
		SetPanningCamera(12.4, -106.5, 41.6, -0.41, -0.27) -- focusX, focusY, zoom, heading, pitch
--		ShowDialog("Portraits/Guard_talkinghead","TXT_SP1A_1") -- after intro camera in deploy phase display talking head
	end
end

function playTapUnitMovie()
  if shouldPlayTapUnitMovie then
    local allies = GetUnits("*", "Militia", 0) -- get player Militia unit
    PlayTutorialMovieOnUnit ("Media/UI/Tutorial_UnitCommands.swf", allies[3])
    shouldPlayTapUnitMovie = false
  end
end

function onUnitSelected(unit)
  if inDeploy and unit.attacker and not orderGiven then
	shouldPlayTapUnitMovie = false
	CloseTutorialMovie()
	HideDialog()
    ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_SP1A_GIVE_ORDER")
    AddTimer(0.1, PlayTutorialMovieOnUnit, "Media/UI/Tutorial_UnitCommands02.swf", unit)
    EnableSelectionChange(false)
    waitingForOrder = true
  end
end

function onUnitDestroyed(unit)
	CloseTutorialMovie()
end

function onUnitOrderGiven(unit, orderType)
  if inDeploy and waitingForOrder then
    waitingForOrder = false
    orderGiven = true
    CloseTutorialMovie()
    EnableSelectionChange(true)
    AddTimer(1.0, function()
		HideDialog()
      ShowDialog("Portraits/Guard_talkinghead","TXT_SP1A_GIVE_ORDER_OK")
    end)
    AddTimer(1.0, SetFightButtonEnabled, true)
  end
end

function onTalkingHeadFinish(text)
  print("onTalkingHeadFinish: '" .. text .. "'")
end

