SpellLevel = 0
Army = 0 --Equal in rank to player troops
Army1 = 0 --1 level lower in rank to player troops
Army2 = 0 --2 level lower in rank to player troops & enemy Titan goes here!
Rank = 0

function onDeployStart()
	createStartingTroops(False)  -- This establishes the scaling and what shows on the plinth inspector
	SpawnUnits("titan",Army2)
	SpawnUnits("start",Army)
end

function onLevelStart()
	SetWinnable(false)
	SetTriggerCallbacks("front", front_onTriggerEnter, front_onTriggerLeave)
	SetTriggerCallbacks("flank", flank_onTriggerEnter, flank_onTriggerLeave)
	AddTimer(0.0, Standstilltitan)
	DisableAiSpells()
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead","TXT_EVENT_BLACKKING1_6_1")
	end
end

function Standstilltitan() -- tells the titan and his crew to stand ground
	local units = GetUnits("titan", "*", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, true)
		SetCanGrowAwareness("titan",false)
	end
	
	local units = GetUnits("start","*", 1)
		for i,unit in pairs(units) do
		 SetUnitStandGround(unit, true)
		 SetCanGrowAwareness("start",false)
	end
end


function front_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("front")
		DisableTrigger("flank")
		EnableAiSpells()
		AddTimer(7.0,awarenesstitan)
		AddTimer(2.0,awarenesscamp)
	end
end

function flank_onTriggerEnter(unit)
	if unit.attacker then
		ShowDialog("Portraits/Guard_talkinghead","TXT_EVENT_BLACKKING1_6_2")
		DisableTrigger("flank")
		DisableTrigger("front")
		EnableAiSpells()
		AddTimer(7.0,awarenesstitan)
		AddTimer(2.0,awarenesscamp)
	end
end

function awarenesstitan()
	local units = GetUnits("titan", "*", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, false)
		SetCanGrowAwareness("titan",true)
	end
end

function awarenesscamp()
	local units = GetUnits("start", "*", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, false)
		SetCanGrowAwareness("start",true)
	end
end

--Here is where the ranking of the grind will be made for enemy levels
function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					
		if Rank <= 10 then			
			Army = 10
			Army1 = 9
			Army2 = 8
			SpellLevel = 8
		elseif Rank == 11 then			
			Army = Rank
			Army1 = Rank -1
			Army2 = Rank -2
			SpellLevel = Rank -2
		elseif Rank == 12 then			
			Army = Rank
			Army1 = Rank -1
			Army2 = Rank -2
			SpellLevel = Rank -2
		elseif Rank == 13 then			
			Army = Rank
			Army1 = Rank -1
			Army2 = Rank -2
			SpellLevel = Rank -2
		elseif Rank == 14 then			
			Army = Rank
			Army1 = Rank -1
			Army2 = Rank -2
			SpellLevel = Rank -2
		elseif Rank == 15 then			
			Army = Rank
			Army1 = Rank -1
			Army2 = Rank -2
			SpellLevel = Rank -2
		elseif Rank == 16 then			
			Army = Rank
			Army1 = Rank -1
			Army2 = Rank -2
			SpellLevel = Rank -2
		elseif Rank == 17 then			
			Army = Rank
			Army1 = Rank -1
			Army2 = Rank -2
			SpellLevel = Rank -2
		elseif Rank == 18 then			
			Army = Rank
			Army1 = Rank -1
			Army2 = Rank -2
			SpellLevel = Rank -2
		elseif Rank == 19 then			
			Army = Rank
			Army1 = Rank -1
			Army2 = Rank -2
			SpellLevel = Rank -2
		elseif Rank >= 20 then
			Army = Rank
			Army1 = Rank -1
			Army2 = Rank -2
			SpellLevel = Rank -2
	end
	
	--Examples of how you would setup the default starting units below. All units that start on the battlefield should be listed here.
	SpawnUnits("start",Army)   
	--SpawnUnits("start1",Army1)
	--SpawnUnits("start2",Army2)
	SpawnUnits("titan",Army2)
		
	if forPlinthInspector then  --These units appear on the plinth inspector and should only include enemy units 
	    SpawnUnits("start",Army)
	   --SpawnUnits("start1",Army1)
	    --SpawnUnits("start2",Army2)
	    --SpawnUnits("titan",Army2)
	    --SpawnUnits("spawn",Army)
	    --SpawnUnits("spawn1",Army1)
	end
end