function onDeployStart()
	
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	AddTargetCircle("exit")
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_4_INTRO")

end


function onLevelStart()

	SetTriggerCallbacks("ambush1", ambush1_onTriggerEnter, ambush1_onTriggerLeave)
	SetTriggerCallbacks("ambush2", ambush2_onTriggerEnter, ambush2_onTriggerLeave) 
	SetTriggerCallbacks("victory_zone", victory_zone_onTriggerEnter, victory_zone_onTriggerLeave)
	
end

function spawn1t()

	SpawnUnits("spawn1t")

end

function ambush2_onTriggerEnter(unit)

	if unit.attacker then

		SpawnUnits("spawn2")
		SpawnUnits("spawn1")
		DisableTrigger("ambush1")
		DisableTrigger("ambush2")
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_4_AMBUSH")
	
	end


end


function victory_zone_onTriggerEnter(unit)

	if unit.attacker then

		DisableTrigger("victory_zone")
		SpawnUnits("spawn5")
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_4_FINAL")
		SetWinnable(true)	
		
	end
	
end

function createStartingTroops(forPlinthInspector)
	
	if forPlinthInspector then
	
		SpawnUnits("spawn1")
		SpawnUnits("spawn2")
		SpawnUnits("spawn5")
		
	end
end