SpellLevel = 8
campdes1 = 0
campdes2 = 0
rushA = true
rushB = true

function onDeployStart()
	
	SetWinnable(true)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_4A_INTRO")
	

end

function onLevelStart()

	SetTriggerCallbacks("rush", rush_onTriggerEnter, rush_onTriggerLeave)
	SetBattleTime(360)
	
end

function rush_onTriggerEnter(unit)

	if unit.attacker and rushA == true and rushB == true then
		DisableTrigger("rush")
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_4A_ATTACK")
		campmove1()
		campmove2()
		SetWinnable(true)
		elseif unit.attacker and rushA == false and rushB == true then
			DisableTrigger("rush")
			ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_4A_ATTACK")
			campmove1()
			campmove2()
			SetWinnable(true)
		elseif unit.attacker and rushA == true and rushB == false then
			DisableTrigger("rush")
			ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_4A_ATTACK")
			campmove1()
			campmove2()
			SetWinnable(true)
		end
	end



function onUnitDestroyed(unit)
	
	if unit.spawnId == 'camp1' then
		campdes1 = campdes1 + 1
			if campdes1 == 4 then
				rushA = false
				DropSpell("Fireball", 8, "drop1")
				DropSpell("Lightning", 8, "drop2")
				ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN10_4A_SPELLDROP")
			end
	elseif unit.spawnId == 'camp2' then
		campdes2 = campdes2 + 1
		if campdes2 == 4 then
				rushB = false
				DropSpell("Fireball", 8, "drop3")
				DropSpell("Lightning", 8, "drop4")
				ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN10_4A_SPELLDROP")
			end
	end
end

function campmove1()
	SpawnUnits("camp1")
	GiveNamedUnitMoveOrder("camp1", "rush1")
end

function campmove2()
	SpawnUnits("camp1")
	GiveNamedUnitMoveOrder("camp2", "rush2")
end


function createStartingTroops(forPlinthInspector)
	
	SpawnUnits("camp1")
	SpawnUnits("camp2")
	SpawnUnits("spawn3")
	
	if forPlinthInspector then
	
		SpawnUnits("camp1")
		SpawnUnits("camp2")
		SpawnUnits("spawn3")
		
	end
end
