destroyed = 0
wave = false

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	SetWinnable(false)
	createStartingTroops(False)
	ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN10A5_INTRO")
	ShowDialog("Portraits/dip_alm_talkinghead", "TXT_CAMPAIGN10A5_REPLY")	
	
end

function onLevelStart()

	SetTriggerCallbacks("waves", waves_onTriggerEnter, waves_onTriggerLeave)
	SetTriggerCallbacks("titan", titan_onTriggerEnter, titan_onTriggerLeave) 
	
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed <= 2 and wave == false then
			DisableTrigger("waves")
			PlayVFX("PA_SpawnReinforcement", "titan")	
			AddTimer(1.0, titanspawn)
		end
	end
end

function waves_onTriggerEnter(unit)

	if unit.attacker then
		DisableTrigger("waves")
		PlayVFX("PA_SpawnReinforcement", "titan")	
		AddTimer(1.0, titanspawn) 
		wave = true
	end


end

function titanspawn()
	
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN105A_WAVE")
	SpawnUnits("titanspawn")
	SpawnUnits("spawn1")
	AddTimer(10.0, spawn2)
	
end

function spawn2()
	SpawnUnits("spawn2")
	ShowDialog("Portraits/dip_alm_talkinghead","TXT_CAMPAIGN105A_WAVE2")
	SetWinnable(true)

end


function createStartingTroops(forPlinthInspector)



		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
	
		SpawnUnits("titan")
		SpawnUnits("spawn2")
		
	end
end
