destroyed = 0
capture = false
wave1 = false
wave2 = false
wave3 = false

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	SetWinnable(false)
	createStartingTroops(False)
	ShowDialog("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_11_2_INTRO")
end

function onLevelStart()
	SetupVictoryBar()
	SetTriggerCallbacks("finish", finish_onTriggerEnter, finish_onTriggerLeave)
	triggercheck()
	AddTimer(30.0, SpawnWaves)
	
end

function createStartingTroops(forPlinthInspector)
	if forPlinthInspector then
		SpawnUnits("rand3")
		SpawnUnits("rand1")
		SpawnUnits("rand2")
	end
end


function triggercheck()
	local var1 = CountDefendersInTrigger("finish")
	
	local var2 = CountAttackersInTrigger("finish")
	if var1 > var2 then
	 capture = true
	elseif var1 < var2 then
	 capture = false
	end 
	Success()	
end

function Success()
	AddTimer(3.0, triggercheck)
	
	if capture == true then
		ShowDialog ("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_11_2_RETREAT")
		AddTimer(3.0, EndMission)
	end
end

function EndMission()
	
	Lose()

end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 3 then
			SetWinnable(true)	
			SpawnUnits("rand1")
			ShowDialog ("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_11_2_1")
			wave1 = true
		elseif destroyed == 5 then
			PlayVFX("PA_SpawnReinforcement", "fx1")
			PlayVFX("PA_SpawnReinforcement", "fx2")
			PlayVFX("PA_SpawnReinforcement", "fx3")
			AddTimer(1.0, SpawnRand2)
			ShowDialog ("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_11_2_2")
			wave2 = true
		elseif destroyed == 8 then
			SpawnUnits("rand3")
			ShowDialog ("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_11_2_3")
			SetWinnable(true)
			wave3 = true
		elseif destroyed == 12 then
			ShowDialog ("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_11_2_CLOSE")
		end
		
	end
end

function SpawnRand2()
	SpawnUnits("rand2")
end

function SpawnWaves()
	AddTimer(30.0, SpawnWaves)
		if wave1 == false then
			wave1 = true
			SpawnUnits("rand1")
			ShowDialog ("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_11_2_1")
		elseif wave2 == false then
			wave2 = true
			SpawnUnits("rand2")
			ShowDialog ("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_11_2_2")
		elseif wave3 == false then
			wave3 = true
			SpawnUnits("rand3")
			ShowDialog ("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_11_2_3")
		end
end


function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(3/14)
	AddVictoryBarMarker(5/14)
	AddVictoryBarMarker(8/14)
	AddVictoryBarMarker(1.0)
end

