destroyed = 0
SpellLevel = 0
Rank = 0

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False) 
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
	end
end

function onLevelStart()
	SetTriggerCallbacks("trap", trap_onTriggerEnter, trap_onTriggerLeave) 
	SetTriggerCallbacks("trap2", trap2_onTriggerEnter, trap2_onTriggerLeave) 
end

function trap_onTriggerEnter(unit)
	if unit.attacker then
		SpawnUnits("start1")
		DisableTrigger("trap")
	end
end

function trap2_onTriggerEnter(unit)
	if unit.attacker then
		SpawnUnits("start2")
		DisableTrigger("trap2")
	end
end


function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 8 then
			SetWinnable(true)
		end
	end
end

function createStartingTroops(forPlinthInspector)
	
	SpawnUnits("start")

		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start")
		SpawnUnits("start1")
		SpawnUnits("start2")
	end
end










