destroyed = 0
leftdestroyed = 0
rightdestroyed = 0
SpellLevel = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)	
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN6C_4_1")
	ShowDialog("Portraits/dip_ragnar_talkinghead","TXT_CAMPAIGN6C_4_2")
end

function onLevelStart()
	SetTriggerCallbacks("left", left_onTriggerEnter, left_onTriggerLeave)
	SetTriggerCallbacks("right", right_onTriggerEnter, right_onTriggerLeave) 
	SetAI1() -- allies
	SetAI2() -- enemy
	SetDisplayTimer(300,0)
end

function SetAI1() -- sets allies to not do damage
	local units = GetUnits("left2","*", 2)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
			EnableInvincibility(unit)
	end
	local units = GetUnits("right2","*", 2)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
			EnableInvincibility(unit)
	end
end

function SetAI2() -- sets attacker on allies to not do damage
	local units = GetUnits("left3","*", 3)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
			EnableInvincibility(unit)
	end
	local units = GetUnits("right3","*", 3)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
			EnableInvincibility(unit)
	end
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		-- left side trigger
		if unit.spawnId == "startLeft" then
		    leftdestroyed = leftdestroyed +1
			if leftdestroyed == 3 then
			local units = GetUnits("left2","*", 2) --switches sides and puts damage on
	        for i,unit in pairs(units) do
	        print (unit)
		    SwitchSide(unit, 0)
		    EnableAttackDamage(unit)
			DisableInvincibility(unit)
	        end
	        local unitsBad = GetUnits("left3","*", 3)
	        for i,unit in pairs(unitsBad) do 
	        print (unit)
		    SwitchSide(unit, 1)
		    EnableAttackDamage(unit)
			DisableInvincibility(unit)
	        end
			end
		end

        -- right side trigger
        if unit.spawnId == "startRight" then
		    rightdestroyed = rightdestroyed +1
			if rightdestroyed == 3 then
			local units = GetUnits("right2","*", 2) --switches sides and puts damage on
	        for i,unit in pairs(units) do
	        print (unit)
		    SwitchSide(unit, 0)
		    EnableAttackDamage(unit)
			DisableInvincibility(unit)
	        end
	        local unitsBad = GetUnits("right3","*", 3)
	        for i,unit in pairs(unitsBad) do 
	        print (unit)
		    SwitchSide(unit, 1)
		    EnableAttackDamage(unit)
			DisableInvincibility(unit)
	        end
			end
		end		
		
		if destroyed == 7 then
		    SpawnUnits("start1")
			PlayVFX("PA_SpawnReinforcement", "titan")
	        AddTimer(1, spawnTitan)
		end
		if destroyed == 12 then
		    SpawnUnits("startEnd")
		    ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN6C_4_4")
		    ShowDialogEternal("Portraits/dip_ragnar_talkinghead","TXT_CAMPAIGN6C_4_5")
			AddTimer(12,endgame)
		end
	end
end

function spawnTitan()
	SpawnUnits("startTitan")
	ShowDialog("Portraits/Ragnar_talkinghead","TXT_CAMPAIGN6C_4_3") -- needs unique TH
end

function endgame()
    HideDialog()
	SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
	
	SpawnUnits("startLeft")
	SpawnUnits("startRight")
	SpawnUnits("left2")
	SpawnUnits("left3")
	SpawnUnits("right2")
	SpawnUnits("right3")
	--SpawnUnits("startTitan")

		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start")
		SpawnUnits("start1")
		SpawnUnits("startTitan")
	end
end










