destroyed = 0
SpellLevel = 0
Army = 0
Rank = 0



function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
end

function createStartingTroops(forPlinthInspector)

	-- Balanced for castle level 6
	SpellLevel = 4
	
	SpawnUnits("wave1")

		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("wave1")
		SpawnUnits("wave2")
		SpawnUnits("wave3")
		SpawnUnits("wave4")
	end
end


function onLevelStart()
	SetupVictoryBar()
	SetTriggerCallbacks("protect", protect_onTriggerEnter) -- central area player is supposed to protect
	
	
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN6D_2_1")
	end
end



function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 3 then
			SetWinnable(true)	
			RespawnUnits("wave2")
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_CAMPAIGN6D_2_2")
		elseif destroyed == 6 then
			RespawnUnits("wave3")
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_CAMPAIGN6D_2_3")
		elseif destroyed == 9 then
			RespawnUnits("wave4")
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_CAMPAIGN6D_2_4")
		end
	end
end


function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(3/13)
	AddVictoryBarMarker(6/13)
	AddVictoryBarMarker(9/13)
	AddVictoryBarMarker(1.0)
end










