destroyed = 0
SpellLevel = 0
Army = 1
Army1 = 1
Army2 = 3
Rank = 0

function onDeployStart()
createStartingTroops(False)  -- This part here
local units = GetUnits("*", "HeroVerE*", 1)
	for i,unit in pairs(units) do
		IntroCamFrameUnit(unit)
		AddAssassinationTarget(unit) -- Set the enemy hero to be the assassination target.
	end
end

function onLevelStart()
    SetBattleTime(240,0)
	SetWinnable(false)
    SetVictoryBarType("ASSASSINATION")
	local units = GetUnits("*", "HeroVerE*", 1)
	for i,unit in pairs(units) do
		AddAssassinationTarget(unit) -- We need to do this again, as the units from the deploy state are recreated in the battle state. Maybe assassination targets should be specified in the .json?
	end
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN6G6_1")
		AddTimer(4.0,startgame)
	end
end

function startgame()
	HideDialog()
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN6G6_2")
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 5 then
			RespawnUnits("start2",Army1)		
		end
	end
	if unit.spawnId == "startTitan" then
	   AddTimer(0.5,YouWin)
	end
end

function YouWin()
   Win()
 end

function createStartingTroops(forPlinthInspector)
	SpawnUnits("startTitan",Army1)
	SpawnUnits("start",Army)
	

-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start")
		SpawnUnits("start2")		
		SpawnUnits("startTitan")
	end
end

