AttackersZone1 = false
DefendersZone1 = true
captured = false
message = false
respawner = 0
killcount = 0
SpellLevel = 0
Rank = 0

function onDeployStart()
	AddTargetCircle("capture")
	createStartingTroops(False)
	SetWinnable(false)
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN7A_4_1")
end

function onLevelStart()
	SetTriggerCallbacks("trapStart", trapStart_onTriggerEnter, trapStart_onTriggerLeave) 
	SetTriggerCallbacks("trapEnd", trapEnd_onTriggerEnter, trapEnd_onTriggerLeave) 
	SetTriggerCallbacks("capture", capture_onTriggerEnter) 
	triggercheck()
	SetDisplayTimer(360,0)
	AddTimer(360, Lose)
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		--ShowDialog("Portraits/Guard_talkinghead","*Entering and capturing this camp will deal a heavy blow to the enemy!*")
	end
end

function startgame()
	
end

function triggercheck()
	local var1 = CountDefendersInTrigger("capture")
	if var1 == 0 then 
		DefendersZone1 = false
	elseif var1 > 0 then
		DefendersZone1 = true
	end 
	
	local var3 = CountAttackersInTrigger("capture")
	if var3 == 0 then 
		AttackersZone1 = false
	elseif var3 > 0 then
		AttackersZone1 = true
	end 
	Success()
end

function Success()
	AddTimer(3.0, triggercheck)
	if DefendersZone1 == false and AttackersZone1 == true then 
		captured = true
	else
		captured = false
	end
	if captured == true and message == false then
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN7A_4_2" )
		message = true
		AddTimer(3.0, Victory)
	end
end

function Victory()
	Win()
end

function trapStart_onTriggerEnter(unit)
	if unit.attacker then
		SpawnUnits("startTrap")
		DisableTrigger("trapStart")
	end
end

function trapEnd_onTriggerEnter(unit)
	if unit.attacker then
		SpawnUnits("startEnd")
		DisableTrigger("trapEnd")
	end
end

function createStartingTroops(forPlinthInspector)
	SpawnUnits("start")
	

-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start")
		SpawnUnits("startTrap")
		SpawnUnits("startEnd")
	end
end

