SpellLevel = 0
Army = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
  QueueVFX("ElderStone_EnergyProp")
  QueueVFX("ElderStone_EnergyPropStones")
end

function onDeployStart()
	createStartingTroops(False)  -- This part here
	--AddTargetCircle("moveto2")   -- move to targets for player 
	--AddTargetCircle("moveto1")	-- move to targets for player
	PlayVFX("ElderStone_EnergyPropStones", "stone1")
	PlayVFX("ElderStone_EnergyPropStones", "stone2")
	PlayVFX("ElderStone_EnergyPropStones", "stone3")
	PlayVFX("ElderStone_EnergyProp", "elderstone")
	ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_POPDES_PATROL_1")
	
end



function onLevelStart()
	SetDisplayTimer(300, 0) -- set battle timer for 6 minutes
	SetVictoryBarEnabled(false)
	--AddTimer(240, outoftime) -- set lose condition to kick in after 4 minutes
	SetWinnable(false)	-- level cannot be completed even if no enemy units are alive
	SetTriggerCallbacks("patrol2", patrol2_onTriggerEnter, patrol2_onTriggerLeave)
	SetTriggerCallbacks("patrol3", patrol3_onTriggerEnter, patrol3_onTriggerLeave)
	SetTriggerCallbacks("patrol4", patrol4_onTriggerEnter, patrol4_onTriggerLeave)
	SetTriggerCallbacks("exit", exit_onTriggerEnter, exit_onTriggerLeave)
	--GiveNamedUnitMoveOrder("spawn1", "gohere")

end

function patrol2_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("patrol2")
		ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_POPDES_PATROL_3")
	end	
end

function patrol3_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("patrol3")
		ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_POPDES_PATROL_2")
		SpawnUnits("spawn1")
	end	
end

function patrol4_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("patrol4")
		ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_POPDES_PATROL_4")
		SpawnUnits("spawn2")
		RespawnUnits("spawn4")
	end
end

function exit_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("exit")	
		SpawnUnits("spawn3")
		RespawnUnits("spawn4")
		PlayVFX("PA_SpawnReinforcement", "impact1")
		PlayVFX("PA_SpawnReinforcement", "impact2")
		PlayVFX("PA_SpawnReinforcement", "impact3")
		AddTimer(2.0, spawnme)
		SetWinnable(true)
	end	
end

function spawnme()
	SpawnUnits("reinforce1")
end

function createStartingTroops(forPlinthInspector)

	-- Balanced for castle level 5
	SpellLevel = 3
	Army = 3
	
	
	
--		SpawnUnits("spawn1",Army) 
	if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("spawn1")
		SpawnUnits("spawn1")
		SpawnUnits("spawn2")
		SpawnUnits("spawn2")
		SpawnUnits("spawn3")
	end
end

