SpellLevel = 0
Army = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
  QueueVFX("ElderStone_EnergyProp")
end

function onDeployStart()
	createStartingTroops(False)  -- This part here
	--AddTargetCircle("moveto2")   -- move to targets for player 
	--AddTargetCircle("moveto1")	-- move to targets for player
	PlayVFX("ElderStone_EnergyProp", "elderstone")
	PlayVFX("ElderStone_EnergyProp", "elderstone2")
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN8E_6_1")
	
end



function onLevelStart()
	SetDisplayTimer(300, 0) -- set battle timer for 6 minutes
	SetVictoryBarEnabled(false)
	--AddTimer(240, outoftime) -- set lose condition to kick in after 4 minutes
	SetWinnable(false)	-- level cannot be completed even if no enemy units are alive
	SetTriggerCallbacks("patrol2", patrol2_onTriggerEnter, patrol2_onTriggerLeave)
	SetTriggerCallbacks("patrol3", patrol3_onTriggerEnter, patrol3_onTriggerLeave)
	SetTriggerCallbacks("patrol4", patrol4_onTriggerEnter, patrol4_onTriggerLeave)
	SetTriggerCallbacks("exit", exit_onTriggerEnter, exit_onTriggerLeave)
	--GiveNamedUnitMoveOrder("spawn1", "gohere")

end

function patrol2_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("patrol2")
	end	
end

function patrol3_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("patrol3")
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN8E_6_2")
		SpawnUnits("spawn1")
	end	
end

function patrol4_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("patrol4")
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN8E_6_3")
		SpawnUnits("spawn2")
	end
end

function exit_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("exit")	
		SpawnUnits("spawn4")
		--PlayVFX("PA_SpawnReinforcement", "impact1")
		--PlayVFX("PA_SpawnReinforcement", "impact2")
		--PlayVFX("PA_SpawnReinforcement", "impact3")
		--AddTimer(2.0, spawnme)
		SetWinnable(true)
	end	
end

--function spawnme()
--	SpawnUnits("reinforce1")
--end

function createStartingTroops(forPlinthInspector)

	-- Balanced for castle level 5
	SpellLevel = 3
	Army = 5
	
	
	
--		SpawnUnits("spawn1",Army) 
	if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("spawn1",5)
		SpawnUnits("spawn2",5)
		SpawnUnits("spawn3",5)
		SpawnUnits("spawn4",4)
	end
end

