
SpellLevel = 5
Army = 8
Rank = 0
PlayerUnits = 0
Endpoint = 0
destroyed = 0

function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN9B2_INTRO")
	end
end

function onDeployStart()
	
	createStartingTroops(False)
	poisongas()
	AddTargetCircle("exit")
	
end


function onLevelStart()

	SetTriggerCallbacks("exit", exit_onTriggerEnter, exit_onTriggerLeave)
	SetTriggerCallbacks("warning", warning_onTriggerEnter, warning_onTriggerLeave)
	SetTriggerCallbacks("ragnar_spawn", ragnar_spawn_onTriggerEnter, ragnar_spawn_onTriggerLeave)
	SetVictoryBarEnabled(false)
	SetWinnable(false)
	
end

function warning_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("warning")
		ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMPAIGN9B2_WARN")
	end	
end

function ragnar_spawn_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("ragnar_spawn")
		SpawnUnits("spawnrag")
	end	
end

function exit_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("exit")
		ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMPAIGN9B2_WIN")
		AddTimer(5, win_mission)
	end	
end

function win_mission()
		
		Win()
		
end

function poisongas()  --name of the function
	CastSpell("PoisonCloud", SpellLevel, "poison"..math.random(2), 1)  -- format is CastSpell("spellname",SpellLevel,"name of trigger area"..math.random(maximum trigger numbers), 3 for hitting both sides).   The trigger zones all need to be the same name
	AddTimer(math.random(5), poisongas) -- loop for it to cast again after a random value between 1 and the value set
end

function createStartingTroops(forPlinthInspector)

	if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("spawnrag")
	end
end







