side_switch = false
attack_death = 0
unit_destroyed = 0
ragnar_dead = 0

function onDeployStart()
	-- register the triggers in the level
	ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN9B4_START")
	createStartingTroops(False)
	
end

function onLevelStart ()
		
		SetTriggerCallbacks("friend_trigger", onTriggerEnter_trigger_friend_trigger, onTriggerLeave_trigger_friend_trigger)
		SetEnemyPlayers(2,1)
		SetAlliedPlayers(2,0)
		SetWinnable(false)
		SetVictoryBarEnabled(false)

end
	
function onTriggerEnter_trigger_friend_trigger(unit)
	if unit.attacker then
		DisableTrigger("friend_trigger") 
		side_switch = true
		local ragnarUnits = GetUnits("*def_1*")
		
		for i, sideChangeUnit in pairs(ragnarUnits) do
			SwitchSideToPlayer(sideChangeUnit)
			ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN9B4_1")
		end
		
	end
end

function onUnitDestroyed(unit)
	if unit.defender then
		unit_destroyed = unit_destroyed + 1
	end
		
	if side_switch == false and unit.spawnId == "def_1" then	
		Lose()
	end
	
	if unit.defender and unit_destroyed >= 4 then
		SetupVictoryBar()
		SpawnUnits("wave1")
		if unit_destroyed == 7 then
			SpawnUnits("wave2")
			ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN9B4_FINAL")
		elseif unit_destroyed == 10 then
			SpawnUnits("wave3")
			SetWinnable(true)
		end
	end
end


function SetupVictoryBar()

		SetVictoryBarType("WAVES")
		AddVictoryBarMarker(3/9)
		AddVictoryBarMarker(6/9)
		AddVictoryBarMarker(1.0)
		
end

function createStartingTroops(forPlinthInspector)
	
	SpawnUnits("def_1", 7)
	RespawnUnits("story_spawn")
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("story_spawn")
		RespawnUnits("wave1")
		RespawnUnits("wave2")
		RespawnUnits("wave3")
	end
end
