destroyed = 0
SpellLevel = 0
Rank = 0
Skeletons = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	SetWinnable(false)
    createStartingTroops(False)	-- no enemies start in the mission, win set to false
    local units = GetUnits("*", "Leader", 1)
	for i,unit in pairs(units) do
		IntroCamFrameUnit(unit)
		AddAssassinationTarget(unit) -- Set the enemy hero to be the assassination target.
	end
	PlayVFX("PA_SpawnReinforcement", "titan")
	CastSpell("Terror", 5, "spirit",0)
	CastSpell("Terror", 5, "spirit1",0)
    AddTimer(1, titan)	
	SetMultipleUnitSelectionButtonEnabled(false)
	SetStandGuardButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
end
	
function titan()
	SpawnUnits("Leader")
	ShowDialog("Portraits/dip_unak_talkinghead","TXT_CAMPAIGN9C_2_1")
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN9C_2_2")
	AddTimer(8.5, startgame)
end


function startgame()
	SetMultipleUnitSelectionButtonEnabled(true)
	SetStandGuardButtonEnabled(true)
	SetAutoOrdersButtonEnabled(true)
	SetFightButtonEnabled(true)
end

function onLevelStart()
	SetBattleTime(240,0)
	--RespawnUnits("start")
	--RespawnUnits("start2")
    SetVictoryBarType("ASSASSINATION")
	local units = GetUnits("*", "Leader*", 1)
	for i,unit in pairs(units) do
		AddAssassinationTarget(unit) -- We need to do this again, as the units from the deploy state are recreated in the battle state.
	end
	GiveNamedUnitMoveOrder("Leader", "retreat")  -- tells the unit to run away
	Standstill()
end



function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 5 then
			RespawnUnits("start1")
		end
		if destroyed == 11 then
		    AddTimer(1, startWave)
		end
		if unit.spawnId == "Leader" then
			AddTimer(0.5, win)
		end
	end
end

function startWave()
    RespawnUnits("start1")
end

function Standstill() -- tells the unit to stand ground
	local units = GetUnits("*", "Leader", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, true)
	end
	SetCanGrowAwareness("Leader",false)
	AddTimer(5.0,awarenesson)	
end

function awarenesson()
	SetCanGrowAwareness("Leader",true)
end

function win()
    SetWinnable(true)
	Win()
end

function createStartingTroops(forPlinthInspector)
    
	SpawnUnits("start")
	SpawnUnits("start2")
	
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start1")
	end
end







