destroyed = 0
SpellLevel = 0
Army = 0
Army1 = 0
Army2 = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetWinnable(false)
	SetTriggerCallbacks("trap", trap_onTriggerEnter, trap_onTriggerLeave)
end

function onLevelStart()
    SetDisplayTimer(300, 0) -- set battle timer for 6 minutes
    SetAI1() -- allies
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/dip_elithen_talkinghead","TXT_CAMPAIGN_ELITHEN2_10_1")
		AddTimer(4.0,startgame)
	end
end

function startgame()
	HideDialog()
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_ELITHEN2_10_2")
end

function SetAI1() -- sets allies to not do damage
	local units = GetUnits("*", "*", 2)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
	end
end

function trap_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("trap")
		local units = GetUnits("*", "*", 2) --switches sides and puts damage on
		for i,unit in pairs(units) do
			SwitchSide(unit, 0)
			EnableAttackDamage(unit)
		end
	end
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 4 then
			AddTimer(1, SpawnEnemyUnit)
	        PlayVFX("PA_SpawnReinforcement", "archright")
	        PlayVFX("PA_SpawnReinforcement", "archleft")
	        PlayVFX("PA_SpawnReinforcement", "pikeleft")
			PlayVFX("PA_SpawnReinforcement", "pikeright")
		end
		if destroyed == 7 then
		    ShowDialog("Portraits/Hero_talkinghead","TXT_CAMPAIGN_ELITHEN2_10_3")
			AddTimer(1, SpawnTitanUnit)
			PlayVFX("PA_SpawnReinforcement", "titan")
			RespawnUnits("startl",Army1)
		    RespawnUnits("startr",Army1)
		end
		if destroyed == 12 then
			RespawnUnits("start1",Army2)		
		end
		if destroyed == 16 then
			ShowDialogEternal("Portraits/dip_elithen_talkinghead","TXT_CAMPAIGN_ELITHEN2_10_4")
			AddTimer(5.0,endgame)
            			
		end
	end
end

function SpawnEnemyUnit()
	SpawnUnits("starter",Army2)
end

function SpawnTitanUnit()
	SpawnUnits("startTitan",Army1)
end

function endgame()
    HideDialog()
	SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 6 and Rank <= 11 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 12 then
			SpellLevel = 12
			Army = 10
			Army1 = 11
			Army2 = 12
		end
	
	SpawnUnits("start",Army)
	SpawnUnits("start2",Army2)
	
	if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("startl", Army1)
		SpawnUnits("startr", Army1)
		SpawnUnits("starter", Army2)
		SpawnUnits("start1", Army2)
		SpawnUnits("start2", Army2)
		SpawnUnits("startTitan", Army1)
	end
end

