destroyed = 0
SpellLevel = 0
Army = 0
Army1 = 0
Army2 = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
  QueueVFX("ElderStone_EnergyProp")
  QueueVFX("ElderStone_EnergyPropStones")
end

function onDeployStart()
	createStartingTroops(False)  -- This part here
	--AddTargetCircle("moveto2")   -- move to targets for player 
	--AddTargetCircle("moveto1")	-- move to targets for player
	PlayVFX("ElderStone_EnergyPropStones", "stone1")
	PlayVFX("ElderStone_EnergyPropStones", "stone2")
	PlayVFX("ElderStone_EnergyPropStones", "stone3")
	PlayVFX("ElderStone_EnergyProp", "elderstone")
	ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMP_ELITHEN3_3_PATROL_1")
	
end



function onLevelStart()
	SetDisplayTimer(300, 0) -- set battle timer for 6 minutes
	SetVictoryBarEnabled(false)
	--AddTimer(240, outoftime) -- set lose condition to kick in after 4 minutes
	SetWinnable(false)	-- level cannot be completed even if no enemy units are alive
	SetTriggerCallbacks("patrol2", patrol2_onTriggerEnter, patrol2_onTriggerLeave)
	SetTriggerCallbacks("patrol3", patrol3_onTriggerEnter, patrol3_onTriggerLeave)
	SetTriggerCallbacks("patrol4", patrol4_onTriggerEnter, patrol4_onTriggerLeave)
	SetTriggerCallbacks("exit", exit_onTriggerEnter, exit_onTriggerLeave)
	--GiveNamedUnitMoveOrder("spawn1", "gohere")

end

function patrol2_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("patrol2")
		ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMP_ELITHEN3_3_PATROL_3")
	end	
end

function patrol3_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("patrol3")
		ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMP_ELITHEN3_3_PATROL_2")
		SpawnUnits("spawn1",Army)
		PlayVFX("PA_SpawnReinforcement", "impact4")
	end	
end

function patrol4_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("patrol4")
		ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMP_ELITHEN3_3_PATROL_4")
		SpawnUnits("spawn2",Army)
	end
end

function exit_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("exit")	
		SpawnUnits("spawn3",Army)
		PlayVFX("PA_SpawnReinforcement", "impact1")
		PlayVFX("PA_SpawnReinforcement", "impact2")
		PlayVFX("PA_SpawnReinforcement", "impact3")
		SetWinnable(true)
	end	
end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 7 and Rank <= 13 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 14 then
			SpellLevel = 13
			Army = 11
			Army1 = 12
			Army2 = 14
		end
	
--		SpawnUnits("spawn1",Army) 
	if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("spawn1",Army)
		SpawnUnits("spawn2",Army)
		SpawnUnits("spawn3",Army)
	end
end

