destroyed = 0
SpellLevel = 0
Army = 0
Army1 = 0
Army2 = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetWinnable(false)
	SetTriggerCallbacks("opening", opening_onTriggerEnter, opening_onTriggerLeave)
	SetFightButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
end

function onLevelStart()
    SetBattleTime(300, 0) -- set battle timer for 6 minutes
    SetAI1() -- allies
	SetAI2() -- enemy attacking allies
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/dip_elithen_talkinghead","TXT_CAMPAIGN_ELITHEN_6_1")
		ShowDialog("Portraits/dip_alm_talkinghead","TXT_CAMPAIGN_ELITHEN_6_2")
		ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_ELITHEN_6_3")
		AddTimer(1.0, framecamera1)
		--AddTimer(12.0,startgame)
	end
end

function framecamera1(seconds)

	FrameCamera("camera")
	AddTimer(7.25, ReturnCamera)

end

function onTalkingHeadFinish(text)
	if text == "TXT_CAMPAIGN_ELITHEN_6_3" then
		HideDialog()
		SetFightButtonEnabled(true)
		SetAutoOrdersButtonEnabled(true)
		AddTimer(1.0, SpawnOneEnemyUnit)
		PlayVFX("PA_SpawnReinforcement", "lefttrap")
		PlayVFX("PA_SpawnReinforcement", "righttrap")
		PlayVFX("PA_SpawnReinforcement", "middletrap")
		ShowDialog("Portraits/dip_alm_talkinghead","TXT_CAMPAIGN_ELITHEN_6_4")
	end
end

--[[function startgame()
	HideDialog()
	SetFightButtonEnabled(true)
	SetAutoOrdersButtonEnabled(true)
	AddTimer(1.0, SpawnOneEnemyUnit)
	--PlayVFX("PA_SpawnReinforcement", "elithenright1")
	--PlayVFX("PA_SpawnReinforcement", "elithenright2")
	--PlayVFX("PA_SpawnReinforcement", "archerright")
	PlayVFX("PA_SpawnReinforcement", "lefttrap")
	PlayVFX("PA_SpawnReinforcement", "righttrap")
	PlayVFX("PA_SpawnReinforcement", "middletrap")
	ShowDialog("Portraits/dip_alm_talkinghead","TXT_CAMPAIGN_ELITHEN_6_4")
end]]

function SpawnOneEnemyUnit()
	SpawnUnits("start1",Army)
end

function SetAI1() -- sets allies to not do damage
	local units = GetUnits("*", "*", 2)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
			SetAlliedPlayers(2, 0)
	end
end

function SetAI2() -- sets attacker on allies to not do damage
	local units = GetUnits("*", "*", 3)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
	end
end



function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 3 then
		    ShowDialog("Portraits/dip_alm_talkinghead","TXT_CAMPAIGN_ELITHEN_6_5")
			PlayVFX("PA_SpawnReinforcement", "backtrap")
			PlayVFX("PA_SpawnReinforcement", "backtrap1")
			PlayVFX("PA_SpawnReinforcement", "backtrap2")
			AddTimer(1, SpawnTwoEnemyUnit) 
		end
		if destroyed == 6 then
		ShowDialog("Portraits/dip_elithen_talkinghead","TXT_CAMPAIGN_ELITHEN_6_6")
		local units = GetUnits("*", "*", 2) --switches sides and puts damage on
		for i,unit in pairs(units) do
			SwitchSide(unit, 0)
			EnableAttackDamage(unit)
		end
		local units = GetUnits("*", "*", 3)
		for i,unit in pairs(units) do
			SwitchSide(unit, 1)
			EnableAttackDamage(unit)
		end
		    	
		end
		if destroyed == 8 then
			ShowDialogEternal("Portraits/dip_elithen_talkinghead","TXT_CAMPAIGN_ELITHEN_6_7")
			AddTimer(6.0,endgame)
            			
		end
	end
end

function SpawnTwoEnemyUnit()
	SpawnUnits("start2",Army1)
end

function endgame()
    HideDialog()
	SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 5 and Rank <= 11 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 12 then
			SpellLevel = 12
			Army = 10
			Army1 = 11
			Army2 = 12
		end
		
		SpawnUnits("ally", Army)
		SpawnUnits("enemy", Army)

	--SpawnUnits("start",Army1)
	
	if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("start1", Army)
		SpawnUnits("start2", Army1)
	end
end

