AttackersZone1 = false
AttackersZone2 = false
DefendersZone1 = true
DefendersZone2 = true
capture_one = false
capture_two = false
capture_1_count = 0
capture_2_count = 0
SpellLevel = 0
Army = 0
Rank = 0

function QueueAssets()
  QueueVFX("ElderStone_EnergyPropStones")
end

function onDeployStart()

	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMP_MOSS_1_10_INTRO")
	SetWinnable(false)														
	SetTriggerCallbacks("capturezone_1", capturezone_1_onTriggerEnter, capturezone_1_onTriggerLeave) 
	SetTriggerCallbacks("capturezone_2", capturezone_2_onTriggerEnter, capturezone_2_onTriggerLeave)
	SetTriggerCallbacks("unblock", unblock_onTriggerEnter, unblock_onTriggerLeave)
	SetTriggerCallbacks("unblock2", unblock2_onTriggerEnter, unblock2_onTriggerLeave)
	capture_1_on()
	capture_2_on()
	--poisongas()
	lightningshield()
	createStartingTroops(False)
end

function onLevelStart()

	SetVictoryBarEnabled(false)
	standground()
	
end

function standground()
local units = GetUnits("*", "*", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, true)		
	end
end

function unblock_onTriggerEnter(unit)
	if unit.attacker then
		local units = GetUnits("start2", "*", 1)
			for i,unit in pairs(units) do
			SetUnitStandGround(unit, false)
			DisableTrigger("unblock")
		end
	end
end

function unblock2_onTriggerEnter(unit)
	if unit.attacker then
		local units = GetUnits("start3", "*", 1)
			for i,unit in pairs(units) do
			SetUnitStandGround(unit, false)
			DisableTrigger("unblock2")
		end
	end
end


function WinGame()
	
	if capture_one == true and capture_two == true then
		SetWinnable(true)
	end	
	
end

-- Start Lightning Shield Functions

function lightningshield()
	
	if capture_one == false and capture_two == false then
		CastSpell("Lightning", 25, "storm"..math.random(3), 3)
		AddTimer(math.random(5), lightningshield)
	elseif capture_one == true and capture_two == false then
		CastSpell("Lightning", 25, "storm"..math.random(3), 3)
		AddTimer(math.random(5), lightningshield)
	elseif capture_one == false and capture_two == true then
		CastSpell("Lightning", 25, "storm"..math.random(3), 3)
		AddTimer(math.random(5), lightningshield)
	end
	
	
end
	
--End Lighting Shield Section


-- Start Capture Zone 1 Sections

function capturezone_1_onTriggerEnter(unit)
	
	if unit.attacker and capture_one == false then
		
			AddTimer(1.0, triggercheck1)
	end

end

function triggercheck1()
	if capture_one == false then
		local var1 = CountDefendersInTrigger("capturezone_1")
		if var1 == 0 then 
			DefendersZone1 = false
		elseif var1 > 0 then
			DefendersZone1 = true	
		end 
			
		local var3 = CountAttackersInTrigger("capturezone_1")
		if var3 == 0 then 
			AttackersZone1 = false
		elseif var3 > 0 then
			AttackersZone1 = true
		end 
		success1()
	end
	
end

function success1()
	
	if AttackersZone1 == true then 
		capture_1_count = capture_1_count + 1
	end
	AddTimer(1.0, triggercheck1)
	capturezone_1_complete()

end

function capturezone_1_complete()
	
	if capture_1_count >=5 then
			DisableTrigger("capturezone_1")
			capture_one = true
			zone1_captured()
			WinGame()
	end
end

function capture_1_on()
	
	if capture_one == false then
		AddTargetCircle("capturezone_1")
	end
	
end

function zone1_captured()

	if capture_one == true then
		PlayVFX("ElderStone_EnergyPropStones", "fx_1")
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMP_MOSS_1_10_CAPTURE1")
	end
	
end

-- End Capture Zone 1 Section

-- Start Capture Zone 1 Sections

function capturezone_2_onTriggerEnter(unit)
	
	if unit.attacker and capture_two == false then
		AddTimer(1.0, triggercheck2)
	end

end

function triggercheck2()
	
	if capture_two == false then
		local var1 = CountDefendersInTrigger("capturezone_2")
		if var1 == 0 then 
			DefendersZone2 = false
		elseif var1 > 0 then
			DefendersZone2 = true	
		end 
			
		local var3 = CountAttackersInTrigger("capturezone_2")
		if var3 == 0 then 
			AttackersZone2 = false
		elseif var3 > 0 then
			AttackersZone2 = true
		end 
		success2()
	end
	
end

function success2()
	
	if AttackersZone2 == true then 
		capture_2_count = capture_2_count + 1
	end
	AddTimer(1.0, triggercheck2)
	capturezone_2_complete()

end

function capturezone_2_complete()
	
	if capture_2_count >=5 then
			capture_two = true
			zone2_captured()
			WinGame()
	end
end

function capture_2_on()
	
	if capture_two == false then
		AddTargetCircle("capturezone_2")
	end
	
end

function zone2_captured()

	if capture_two == true then
		PlayVFX("ElderStone_EnergyPropStones", "fx_4")
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMP_MOSS_1_10_CAPTURE1")
		DisableTrigger("capturezone_2")
	end
end


-- End Captures Zones 2 Section

-- Misc Function Section

--function poisongas()
	--CastSpell("PoisonCloud", SpellLevel, "poison"..math.random(2), 3)  -- format is CastSpell("spellname",SpellLevel,"name of trigger area"..math.random(maximum trigger numbers), 3 for hitting both sides).   The trigger zones all need to be the same name
	--AddTimer(math.random(5), poisongas) -- loop for it to cast again after a random value between 1 and the value set
--end

-- End Misc Function Section

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 5 and Rank <= 11 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 12 then
			SpellLevel = 12
			Army = 10
			Army1 = 11
			Army2 = 12
		end
	SpawnUnits("start",Army)
	SpawnUnits("start1",Army)
	SpawnUnits("start2",Army)
	SpawnUnits("start3",Army)

	-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
	SpawnUnits("start",Army)
	SpawnUnits("start1",Army)
	SpawnUnits("start2",Army)
	SpawnUnits("start3",Army)

		

	end
end
