destroyed = 0
SpellLevel = 0
Army = 0
Rank = 0


function onDeployStart()
	createStartingTroops(False)  -- This part here
	--SetTriggerCallbacks("trigger", Shape_onTriggerEnter, Shape_onTriggerLeave)
	SetTriggerCallbacks("switchsides", onTriggerEnter_trigger_switchsides, onTriggerLeave_trigger_switchsides)
end

function onLevelStart()
	SetWinnable(false)	-- level cannot be completed even if no enemy units are alive, since players might kill first wave before respawn
end

function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_MOSSMANE_1_6_1")
	end
end


function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 2 then
			SpawnUnits("mossmane")
			SetAlliedPlayers(0, 3) -- sets the mossmane as allied so you can't attack or control them
			AddTimer(1.0,ShowDialog,"Portraits/Guard_talkinghead","TXT_CAMPAIGN_MOSSMANE_1_6_2")
			AddTimer(4.0,SpawnOneEnemyUnit)
			AddTimer(5.5,SpawnOneEnemyUnit2)
		elseif destroyed == 5 then
			SetWinnable(true)
			RespawnUnits("spawn4",Army)
		end
	end
end

function SpawnOneEnemyUnit()
	SpawnUnits("spawn2",Army)
end
function SpawnOneEnemyUnit2()
	SpawnUnits("spawn3",Army)
end

function onTriggerEnter_trigger_switchsides(unit)

	--if it's a friendly unit entering
	if unit.side == 3 then
		DisableTrigger("switchsides") -- disable the trigger
		RespawnUnits("spawn4",Army)
		ShowDialog("Portraits/dip_moss_talkinghead", "TXT_CAMPAIGN_MOSSMANE_1_6_3")
	end
	
		-- switch the side of the unit to 0 so it can be controlled
	local units = GetUnits("*", "*",3) --switches sides and puts damage on
		for i,unit in pairs(units) do
			SwitchSide(unit, 0)
	end
end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 5 and Rank <= 11 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 12 then
			SpellLevel = 12
			Army = 10
			Army1 = 11
			Army2 = 12
		end
	SpawnUnits("start",Army)

	
-- For plinth inspector, we want the later waves too HAVE YET TO UPDATE THIS PROPERLY
	if forPlinthInspector then
		SpawnUnits("spawn2",Army)
		SpawnUnits("spawn3",Army)
		SpawnUnits("spawn4",Army)
		SpawnUnits("spawn4",Army)
		SpawnUnits("spawn4",Army)
		SpawnUnits("start",Army)
	end
	
end