SkeletonsDead = 0
destroyed = 0
SpellLevel = 0
Army = 0
Rank = 0

function QueueAssets()
  QueueVFX("ElderStone_EnergyPropStones")
end

function onDeployStart()
	createStartingTroops(False)  -- This part here
	ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_CAMPAIGN_MOSSMANE_1_9_1")
	SetTriggerCallbacks("titanspawn", titanspawn_onTriggerEnter, titanspawn_onTriggerLeave)
	
end


function onUnitDestroyed(unit)		-- checks if the skels are still alive, if not then spawn the mossmane allies
	if unit.spawnId == "spawn1" then
		SkeletonsDead = SkeletonsDead + 1
			if SkeletonsDead == 4 then
				SpawnUnits("mossmane",Army1)
				ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_MOSSMANE_1_9_2")
			end
	end	
end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 5 and Rank <= 11 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 12 then
			SpellLevel = 12
			Army = 10
			Army1 = 11
			Army2 = 12
		end
	SpawnUnits("start",Army)
	SpawnUnits("spawn1",Army)
	
	-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("spawn1",Army)
		SpawnUnits("titan1",Army)
	end
end

function titanspawn_onTriggerEnter(unit)
		if unit.attacker then
			
			PlayVFX("PA_SpawnReinforcement", "spawnfx")
			AddTimer(1.0, spawntitan)
			DisableTrigger("titanspawn")
		end
end

function spawntitan()

	SpawnUnits("titan1",Army)

end