SpellLevel = 0
Army = 0
Rank = 0



function onDeployStart()
	SetTriggerCallbacks("rivertrigger", onTriggerEnter_trigger_rivertrigger, onTriggerLeave_trigger_rivertrigger)
	SetTriggerCallbacks("camptrigger", onTriggerEnter_trigger_camptrigger, onTriggerLeave_trigger_camptrigger)
	createStartingTroops(False)
	local units = GetUnits("*", "Titan", 1)
	for i,unit in pairs(units) do
		IntroCamFrameUnit(unit)
		AddAssassinationTarget(unit) -- Set the enemy hero to be the assassination target.
	end
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_MOSSMANE_2_6_1")
end

function onLevelStart()
	SetVictoryBarType("ASSASSINATION")
	local units = GetUnits("*", "Titan", 1)
	for i,unit in pairs(units) do
		AddAssassinationTarget(unit) -- We need to do this again, as the units from the deploy state are recreated in the battle state. Maybe assassination targets should be specified in the .json?
	end
end

function onUnitDestroyed(unit)
	if unit.defender then
		if unit.spawnId == "Titan" then
			AddTimer(0.5,YouWin)
		end
	end
end

function YouWin()
   Win()
 end
 
 function onTriggerEnter_trigger_rivertrigger(unit)
	--[[local units = GetUnits("*", "*",2) --switches the titan back to aggro.
		for i,unit in pairs(units) do
			SwitchSide(unit, 1)
	end]]
	if unit.attacker then
		DisableTrigger("rivertrigger")
		DisableTrigger("camptrigger")
		GiveNamedUnitMoveOrder("Titan", "rivermove")
		GiveNamedUnitMoveOrder("Leader1", "rivermove")
	end
end

 function onTriggerEnter_trigger_camptrigger(unit)
	--[[local units = GetUnits("*", "*",2) --switches the titan back to aggro.
		for i,unit in pairs(units) do
			SwitchSide(unit, 1)
	end]]
	if unit.attacker then
		DisableTrigger("rivertrigger")
		DisableTrigger("camptrigger")
		GiveNamedUnitMoveOrder("Titan", "campmove")
		GiveNamedUnitMoveOrder("Leader1", "campmove")
	end
end

 
 function createStartingTroops(forPlinthInspector)
 
 	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 6 and Rank <= 12 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 13 then
			SpellLevel = 13
			Army = 11
			Army1 = 12
			Army2 = 13
		end
		
	SpawnUnits("Titan",Army)
	SpawnUnits("Leader1",Army)
	SpawnUnits("start",Army)
	

-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("Titan",Army)
		SpawnUnits("Leader1",Army)
		SpawnUnits("start",Army)
	end
end

