destroyed = 0
SpellLevel = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_1_1")
end

function onLevelStart()
	
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 3 then
			PlayVFX("PA_SpawnReinforcement", "portal")
			AddTimer(1,troop)
			ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_1_2")
		end
		if destroyed == 9 then
		    SpawnUnits("moss")
			AddTimer(2,moss)
		end
	end
end

function troop()
    SpawnUnits("start1")
	SpawnUnits("start3")
	AddTimer(3,portal)
end
function troop1()
    SpawnUnits("start2")
	SpawnUnits("start4")
end

function portal()
    PlayVFX("PA_SpawnReinforcement", "portal")
	AddTimer(1,troop1)
end

function moss()
    ShowDialogEternal("Portraits/dip_moss_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_1_3")
    AddTimer(8,ending)
	end
function ending()
    HideDialog()
    SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
		Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 7 and Rank <= 13 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 14 then
			SpellLevel = 13
			Army = 11
			Army1 = 12
			Army2 = 14
		end
	SpawnUnits("start",Army)
	
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("start1",Army)
		SpawnUnits("start2",Army)
		SpawnUnits("start3",Army)
		SpawnUnits("start4",Army)
	end
end










