
destroyed = 0
SpellLevel = 0
Army = 0
Rank = 0


function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	--AddTargetCircle("protect")													-- central circle shows the place to protect
	createStartingTroops(False)
end

function createStartingTroops(forPlinthInspector)
		if Rank >= 7 and Rank <= 13 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 14 then
			SpellLevel = 13
			Army = 11
			Army1 = 12
			Army2 = 14
		end
	SpawnUnits("start",Army)
	
	-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("rand1",Army)
		SpawnUnits("rand2",Army)
		SpawnUnits("rand3",Army)
		SpawnUnits("rand4",Army)
	end
end


function onLevelStart()
	SetupVictoryBar()
	SetTriggerCallbacks("protect", protect_onTriggerEnter) -- central area player is supposed to protect. doesn't require the player to be in it, but we might want to adjust that later.
	RespawnUnits("rand1")
	AddTimer(1.0,  FireText)
end

function FireText()
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_MOSSMANE_3_3_1")
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_MOSSMANE_3_3_2")
	end
end


function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 4 then
			SpawnUnits("rand2")
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_3_3")
			SetWinnable(true)
		elseif destroyed == 6 then
			SpawnUnits("rand3")
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_3_4")
		elseif destroyed == 11 then
			SpawnUnits("rand4")
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_3_5")			
		end
	end
end



function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(4/14)
	AddVictoryBarMarker(6/14)
	AddVictoryBarMarker(11/14)
	AddVictoryBarMarker(1.0)
end



















