destroyed = 0
death = 0
SpellLevel = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	ShowDialogEternal("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_6_1")
    AddTimer(4,talk)
	SetMultipleUnitSelectionButtonEnabled(false)
	SetStandGuardButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
end

function talk()
    HideDialog()
	PlayVFX("PA_SpawnReinforcement", "titan")
	AddTimer (1,starttitan)
end

function starttitan()
    SpawnUnits("starttitan",Army)
	ShowDialog("Portraits/Hero_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_6_2")
	AddTimer(4.8,startgame)
end

function startgame()
	SetMultipleUnitSelectionButtonEnabled(true)
	SetStandGuardButtonEnabled(true)
	SetAutoOrdersButtonEnabled(true)
	SetFightButtonEnabled(true)
end

function onLevelStart()
	
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 3 then
			RespawnUnits("start2",Army)
		end
		if destroyed == 7 then
		    AddTimer(6,ending)
			ShowDialogEternal("Portraits/dip_moss_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_6_4")
		end
	end
	if unit.attacker then
		death = death + 1
		if death == 1 then
			SpawnUnits("backup")
			ShowDialogEternal("Portraits/dip_moss_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_6_3")
			AddTimer(4,closetalk)
		end
	end
end

function closetalk()
    HideDialog()
end

function ending()
    HideDialog()
    SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 7 and Rank <= 13 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 14 then
			SpellLevel = 13
			Army = 11
			Army1 = 12
			Army2 = 14
		end

	SpawnUnits("start",Army)
	
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("start2",Army)
		SpawnUnits("starttitan",Army)
	end
end










