killcount = 0
SpellLevel = 0
Army = 0
Army1 = 0
Rank = 0
destroyed = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	createStartingTroops(False)
	SetWinnable(false)
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_RAGNAR10_1")
	--ShowDialogEternal("Portraits/dip_ragnar_talkinghead","TXT_CAMPAIGN_RAGNAR10_2")
	local units = GetUnits("*", "RagnarHeroVerB*", 1)
	for i,unit in pairs(units) do
		IntroCamFrameUnit(unit)
		AddAssassinationTarget(unit) -- Set the enemy hero to be the assassination target.
	end
	AddTimer(4, SpawnTitan)
	SetMultipleUnitSelectionButtonEnabled(false)
	SetStandGuardButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
end

function SpawnTitan()
    --HideDialog()
	PlayVFX("PA_SpawnReinforcement", "titan")
	AddTimer(1, SpawnTitanUnit)
end

function SpawnTitanUnit()
	SpawnUnits("startTitan",Army1)
	--ShowDialogEternal("Portraits/dip_ragnar_talkinghead","TXT_CAMPAIGN_RAGNAR10_2")
	AddTimer(2, startgametext)
end

function onLevelStart()
    SetAI1() -- allies
	SetDisplayTimer(360,0)
	AddTimer(360, Lose)
	SetVictoryBarType("ASSASSINATION")
	local units = GetUnits("*", "RagnarHeroVerB*", 1)
	for i,unit in pairs(units) do
		AddAssassinationTarget(unit) -- We need to do this again, as the units from the deploy state are recreated in the battle state. Maybe assassination targets should be specified in the .json?
	end
end

--function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	--if cameraName == "CAMERA_INTRO*" then
		--ShowDialog("Portraits/Guard_talkinghead","*We must get to the shrine, this will clear their minds and turn against this evil!*")
		--AddTimer(10.0,startgame)
	--end
--end

function startgametext()
	ShowDialog("Portraits/dip_ragnar_talkinghead","TXT_CAMPAIGN_RAGNAR10_2")
	AddTimer(6, startgame)
end

function startgame()
	HideDialog()
	SetMultipleUnitSelectionButtonEnabled(true)
	SetStandGuardButtonEnabled(true)
	SetAutoOrdersButtonEnabled(true)
	SetFightButtonEnabled(true)
end

function SetAI1() -- sets allies to not do damage
	local units = GetUnits("*", "*", 2)
	for i,unit in pairs(units) do
			DisableAttackDamage(unit)
	end
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if unit.spawnId == "startTitan" then
		local units = GetUnits("*", "*", 2) --switches sides and puts damage on
        for i,unit in pairs(units) do
		    SwitchSide(unit, 0)
		    EnableAttackDamage(unit)
	    end
		SetVictoryBarType("NORMAL")
		RespawnUnits("start1",Army) --Spawn enemy flanking skeletons
        ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_RAGNAR10_3" )
	    ShowDialog("Portraits/dip_ragnar_talkinghead","TXT_CAMPAIGN_RAGNAR10_4" )
	    end
		if destroyed == 10 then
		RespawnUnits("start2",Army)   
		end
		if destroyed == 17 then
		    ShowDialogEternal("Portraits/dip_ragnar_talkinghead","TXT_CAMPAIGN_RAGNAR10_5")
			AddTimer(4.0,endgame)
		end
	end
end

function endgame()
    HideDialog()
	SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 5 and Rank <= 11 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 12 then
			SpellLevel = 12
			Army = 10
			Army1 = 11
			Army2 = 12
		end
	SpawnUnits("start",Army)
	

-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("start1",Army)
		SpawnUnits("start2",Army)
		SpawnUnits("startTitan",Army1)
	end
end

