destroyed = 0
SpellLevel = 0
Rank = 0
triggered = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
end

function onLevelStart()
	SetTriggerCallbacks("trap", trap_onTriggerEnter)
	SetTriggerCallbacks("alarm", alarm_onTriggerEnter)
	SetTriggerCallbacks("alarm1", alarm1_onTriggerEnter)
end

function trap_onTriggerEnter(unit)
	if unit.attacker then
		GiveNamedUnitMoveOrder("startAlert", "alert") 
		DisableTrigger("trap")
	end
end

function warning()
    ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_RAGNAR_2_7_1")
end

function alarm_onTriggerEnter(unit)
	if unit.defender and triggered ==0 then
		--GiveNamedUnitMoveOrder("startAlert", "alert1")
		spawn()
		AddTimer(0.1, warning)
		--charge()
		DisableTrigger("alarm")
		triggered = triggered + 1
	end
end

function spawn()
	PlayVFX("PA_SpawnReinforcement", "spawn")
	AddTimer(1, spawnunit)
end
function spawnunit()
	SpawnUnits("start2",Army)
	GiveNamedUnitMoveOrder("startAlert", "alert1")
end

function alarm1_onTriggerEnter(unit)
	if unit.defender and triggered ==1 then
		spawn1()
		DisableTrigger("alarm1")
		triggered = triggered + 1
	end
end

function spawn1()
	PlayVFX("PA_SpawnReinforcement", "spawn1")
	AddTimer(1, spawnunit1)
end
function spawnunit1()
	SpawnUnits("start1",Army)
	GiveNamedUnitMoveOrder("startAlert", "charge")
	SetWinnable(true)
end

function onUnitDestroyed(unit)
	if unit.attacker then
		destroyed = destroyed + 1
		if destroyed == 3 then
			DisableTrigger("alarm")
			DisableTrigger("trap")
			spawnunit1()
		end
	end
	if unit.spawnId == "startAlert" and triggered==0 then
	    triggered = triggered + 1
		DisableTrigger("alarm")
		DisableTrigger("alarm1")
		DisableTrigger("trap")
		spawn()
		spawn1()
		AddTimer(0.1, warning)
	end
	if unit.spawnId == "startAlert" and triggered==1 then
	    triggered = triggered + 1
		DisableTrigger("alarm")
		DisableTrigger("alarm1")
		DisableTrigger("trap")
		spawn1()
	end
end

--function onUnitDestroyed(unit)
	--if unit.startAlert and triggered==0 then
	   -- triggered = triggered + 1
		--DisableTrigger("alarm")
		--DisableTrigger("trap")
		--spawn1()
	--end
--end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 6 and Rank <= 11 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 12 then
			SpellLevel = 12
			Army = 10
			Army1 = 11
			Army2 = 12
		end
	SpawnUnits("start",Army)
	SpawnUnits("startAlert",Army)
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("start1",Army)
		SpawnUnits("start2",Army)
		SpawnUnits("startAlert",Army)
	end
end










