destroyed = 0
SpellLevel = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	AddTimer(0.2, story)
	SetMultipleUnitSelectionButtonEnabled(false)
	SetStandGuardButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
end

function story()
    ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_RAGNAR_3_6_1")
	AddTimer(5, startgame)
end

function startgame()
	SetMultipleUnitSelectionButtonEnabled(true)
	SetStandGuardButtonEnabled(true)
	SetAutoOrdersButtonEnabled(true)
	SetFightButtonEnabled(true)
end

function onLevelStart()
	CastSpell("FireBall", 10, "fireball1",0)
	CastSpell("FireBall", 10, "fireball2",0) 
	CastSpell("FireBall", 10, "fireball3",0) 
	CastSpell("FireBall", 10, "fireball4",0) 
	CastSpell("FireBall", 10, "fireball5",0) 
	CastSpell("FireBall", 10, "fireball6",0)
	CastSpell("FireBall", 10, "fireball7",0)
	CastSpell("FireBall", 10, "fireball8",0)
    CastSpell("FireBall", 10, "fireball9",0) 	
    AddTimer(7, enemycharge)
    AddTimer(4, talk)
end

function talk()
    ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_RAGNAR_3_6_2")
end

function enemycharge()
    GiveNamedUnitMoveOrder("start1", "charge")  -- tells the unit to run away
	GiveNamedUnitMoveOrder("start2", "charge1")  -- tells the unit to run away
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 20 then
	    startragnar()
		battlechange()
		end
		if destroyed == 22 then
			GiveNamedUnitMoveOrder("start3", "defend1")  -- tells the unit to run away
			GiveNamedUnitMoveOrder("start4", "defend2")  -- tells the unit to run away
			GiveNamedUnitMoveOrder("start5", "defend3")  -- tells the unit to run away
		end
		if destroyed == 27 then
			SetWinnable(true)
		end
	end
end

function startragnar()
	PlayVFX("PA_SpawnReinforcement", "rag1")
	PlayVFX("PA_SpawnReinforcement", "rag2")
	PlayVFX("PA_SpawnReinforcement", "rag3")
	PlayVFX("PA_SpawnReinforcement", "rag4")
	PlayVFX("PA_SpawnReinforcement", "rag5")
	AddTimer(1, spawnragnar)
end
function spawnragnar()
	SpawnUnits("start6",Army)
	SpawnUnits("start3",Army)
	SpawnUnits("start4",Army)
	SpawnUnits("start5",Army)
end

function battlechange()
    --AddTargetCircle("capture")
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_RAGNAR_3_6_3")
end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 7 and Rank <= 13 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 14 then
			SpellLevel = 14
			Army = 12
			Army1 = 13
			Army2 = 14
		end
	SpawnUnits("start",Army1)
	SpawnUnits("start1",Army)
	SpawnUnits("start2",Army)
	SpawnUnits("hero")

		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
	    SpawnUnits("start",Army1)
		SpawnUnits("start1",Army)
		SpawnUnits("start2",Army)
	    SpawnUnits("start3",Army)
	    SpawnUnits("start4",Army)
		SpawnUnits("start5",Army)
		SpawnUnits("start6",Army)
	end
end










