SpellLevel = 0
Army = 0
Rank = 0




function onDeployStart()

	ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMP_UNAK3_4_INTRO")
	SetTriggerCallbacks("freeslaves1", freeslaves1_onTriggerEnter, freeslaves1_onTriggerLeave)
	SetTriggerCallbacks("freeslaves2", freeslaves2_onTriggerEnter, freeslaves2_onTriggerLeave)
	SetTriggerCallbacks("ambushspawn", ambushspawn_onTriggerEnter, ambushspawn_onTriggerLeave)
	AddTargetCircle("capture1")
	SetWinnable(false)
	createStartingTroops(False)
	
end

function createStartingTroops(forPlinthInspector)

Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 7 and Rank <= 13 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 14 then
			SpellLevel = 13
			Army = 11
			Army1 = 12
			Army2 = 14
		end
	SpawnUnits("start",Army)
	SpawnUnits("unak1",Army)
	SpawnUnits("ragnarslave1",Army)
	SpawnUnits("unak2",Army)
	SpawnUnits("ragnarslave2",Army)
	
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("ambush1",Army)

	end
	
end

--Slaves Freed 1 - Start

function freeslaves1_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("flip") 
		local units = GetUnits("unak1", "*", 2) --switches sides and puts damage on
		for i,unit in pairs(units) do
			EnableAttackDamage(unit)
			SwitchSide(unit, 1)
		end
		local units = GetUnits("ragnarslave1", "*", 2)
		for i,unit in pairs(units) do
			SwitchSide(unit, 0)
			EnableAttackDamage(unit)
		end
		ShowDialog("Portraits/dip_ragnar_talkinghead", "TXT_CAMP_UNAK3_4_FREE1")
		DisableTrigger("freeslaves1")
		ClearTargetCircles("capture1")
		AddTargetCircle("capture2")
	end
end

--Slaves Freed 1 - End

--Slaves Freed 1 - Start

function freeslaves2_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("flip") 
		local units = GetUnits("unak2", "*", 2) --switches sides and puts damage on
		for i,unit in pairs(units) do
			EnableAttackDamage(unit)
			SwitchSide(unit, 1)
		end
		local units = GetUnits("ragnarslave2", "*", 2)
		for i,unit in pairs(units) do
			SwitchSide(unit, 0)
			EnableAttackDamage(unit)
		end
		ShowDialog("Portraits/dip_ragnar_talkinghead", "TXT_CAMP_UNAK3_4_FREE2")
		DisableTrigger("freeslaves2")
		ClearTargetCircles("capture2")
		SetWinnable(true)
	end
end

--Slaves Freed 1 - End

-- Spawn Final Battle START

-- Spawn Final Battle END

function ambushspawn_onTriggerEnter(unit)
	
	if unit.attacker then
		
		SpawnUnits("ambush1")
		
	end
end
