

destroyed = 0
SpellLevel = 0
Army = 0
Army1 = 0
Army2 = 0
Rank = 0

function QueueAssets()
  QueueVFX("ElderStone_EnergyProp")
  QueueVFX("ElderStone_EnergyPropStones")
end

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	--AddTargetCircle("protect")													-- central circle shows the place to protect
	createStartingTroops(False)
end

function createStartingTroops(forPlinthInspector)

	-- Balanced for castle level 8
	SpellLevel = 6
	Army = 6
	Army1 = 7
	Army2 = 6

	RespawnUnits("start", Army2)
	
	-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start", Army2)
		SpawnUnits("rand2", Army)
		SpawnUnits("rand3", Army)
		SpawnUnits("rand4", Army)
	end
end


function onLevelStart()
	SetupVictoryBar()
	SetTriggerCallbacks("protect", protect_onTriggerEnter) -- central area player is supposed to protect
	RespawnUnits("rand1", Army1)
	AddTimer(1.0,  FireText)
	PlayVFX("ElderStone_EnergyProp", "shape1")
	PlayVFX("ElderStone_EnergyPropStones", "shape2")
	PlayVFX("ElderStone_EnergyPropStones", "shape3")
	PlayVFX("ElderStone_EnergyPropStones", "shape4")
	PlayVFX("ElderStone_EnergyPropStones", "shape5")
	PlayVFX("ElderStone_EnergyPropStones", "shape6")
end

function FireText()
	ShowDialog("Portraits/Guard_talkinghead","TXT_FORTWAVES1_WAVE1")
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead","TXT_FORTWAVES1_INTRO")
	end
end



function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 4 then
			SpawnUnits("rand2", Army1)
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_FORTWAVES1_WAVE2")
			SetWinnable(true)
		elseif destroyed == 6 then
			SpawnUnits("rand3", Army)
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_FORTWAVES1_WAVE3")
		elseif destroyed == 11 then
			SpawnUnits("rand4", Army)
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_FORTWAVES1_WAVE4")			
		end
	end
end



function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(4/14)
	AddVictoryBarMarker(6/14)
	AddVictoryBarMarker(11/14)
	AddVictoryBarMarker(1.0)
end



















