
-- Global variables, sets variables for the skeletons to appear.
spawnCounter = 0
spawnTurn = 0
SpellLevel = 0
Army = 0
Rank = 0

function QueueAssets()
  QueueVFX("ElderStone_EnergyProp")
  QueueVFX("ElderStone_EnergyPropStones")
end

--deploy phase, sets the initial 2 talking heads to set the scene
function onDeployStart()
 ShowDialog("Portraits/Guard_talkinghead", "TXT_SP16_7")
 createStartingTroops(False)
 end
 
 function createStartingTroops(forPlinthInspector)

	-- Balanced for castle level 9
	SpellLevel = 7
	Army = 7
	Army1 = 7

 SpawnUnits("start",Army)
 
 	-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("skeleton1",Army1)
		SpawnUnits("skeleton2",Army1)
		SpawnUnits("skeleton3",Army1)
		SpawnUnits("skeleton4",Army1)
	end
end

function stopdefender()
 local units = GetUnits("*", "*", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, true)
	end
end

function startdefender()
 local units = GetUnits("*","*",1)
   for i,unit in pairs(units) do
      SetUnitStandGround(unit, false)
  end
end

function trigger1_onTriggerEnter(unit)
  startdefender()
  DisableTrigger ("trigger1")
end


-- battle start
function onLevelStart()
  stopdefender()
  SetTriggerCallbacks("trigger1", trigger1_onTriggerEnter)
	AddTimer(8.0,SpawnLoop)
	SetBattleTime(300)
	PlayVFX("ElderStone_EnergyProp", "shape1")
	PlayVFX("ElderStone_EnergyPropStones", "shape2")
	PlayVFX("ElderStone_EnergyPropStones", "shape3")
	PlayVFX("ElderStone_EnergyPropStones", "shape4")
	PlayVFX("ElderStone_EnergyPropStones", "shape5")
	PlayVFX("ElderStone_EnergyPropStones", "shape6")
	PlayVFX("ElderStone_EnergyPropStones", "shape7")
	PlayVFX("ElderStone_EnergyPropStones", "shape8")
	PlayVFX("ElderStone_EnergyPropStones", "shape9")
	PlayVFX("ElderStone_EnergyPropStones", "shape10")
	PlayVFX("ElderStone_EnergyPropStones", "shape11")

end

-- spawns troops alternating between sides
function SpawnLoop()
 	spawnCounter = spawnCounter + 1
	if spawnTurn == 0 then
	ShowDialog("Portraits/Hero_talkinghead", "TXT_SP16_3")	
		RespawnUnits("skeleton1",Army1)
		spawnTurn = 1
	elseif spawnTurn == 1 then
		RespawnUnits("skeleton2",Army1)
	ShowDialog("Portraits/Hero_talkinghead", "TXT_SP16_4")	
		spawnTurn = 2
	elseif spawnTurn == 2 then
		RespawnUnits("skeleton3",Army1)
		spawnTurn = 3
	elseif spawnTurn == 3 then
		RespawnUnits("skeleton4",Army1)
		spawnTurn = 0
	end
	
	if spawnCounter <= 5 then
		AddTimer(3.0,SpawnLoop)
	end
end



