destroyed = 0
SpellLevel = 0
Rank = 0
Titan = 0
Army = 0
Army1 = 0
Army2 = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
													-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	SetWinnable(false)
end

function onLevelStart()
    SetupVictoryBar()	
	SetVictoryBarFill(0)
	SetDisplayTimer(300, 0) -- set battle timer for 5 minutes
	AddTimer(300,Lose)
end

--enemy units destroyed and the effects they will give out
function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 2 then
			PlayVFX("PA_SpawnReinforcement", "left1")
			PlayVFX("PA_SpawnReinforcement", "left2")
			AddTimer(1, enter)
		end
		if destroyed == 3 then
			SetVictoryBarFill(0.2)
		end
		if destroyed == 4 then
			PlayVFX("PA_SpawnReinforcement", "right1")
			PlayVFX("PA_SpawnReinforcement", "right2")
			AddTimer(1, enter1)
		end
		if destroyed == 5 then
			SetVictoryBarFill(0.4)
		end
		if destroyed == 6 then
			PlayVFX("PA_SpawnReinforcement", "left")
			PlayVFX("PA_SpawnReinforcement", "right")
			AddTimer(1, enter2)
		end
		if destroyed == 7 then
			SetVictoryBarFill(0.6)
		end
		if destroyed == 8 then
			AddTimer(0.5, skeletonspawn)
			AddTimer(3, titanenter)
		end
		if destroyed == 9 then
			SetVictoryBarFill(0.8)
		end
		if destroyed == 12 then
			SetWinnable(true)
			SetVictoryBarFill(1)
		end
	end
end

-- calls enemy troops to spawn
function enter()
	SpawnUnits("militia",Army)
	SpawnUnits("archer",Army1)
end
function enter1()
	SpawnUnits("militiar",Army)
	SpawnUnits("archerr",Army1)
end
function enter2()
	SpawnUnits("mossmane",Army1)
end
function skeletonspawn()
	RespawnUnits("skeleton",Army)
end

--Titan entry
function titanenter()
    PlayVFX("PA_SpawnReinforcement", "left")
	AddTimer(1, titanspawn)
end
function titanspawn()
    SpawnUnits("titan",Titan)
end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank <= 17 then			
			Army =  15
			Army1 = 17
			Titan = 15
		elseif Rank == 18 then			
			Army = Rank -2
			Army1 = Rank
			Titan = Rank -2
		elseif Rank == 19 then			
			Army = Rank -2
			Army1 = Rank -1
			Titan = Rank -2
		elseif Rank >= 20 then
			SpellLevel = Rank -2
			Army = 19
			Army1 = 19
			Army2 = 20
			Titan = 20
	end
		
	SpawnUnits("elithen",Army)		
		
	if forPlinthInspector then
		SpawnUnits("titan",Titan)
		SpawnUnits("skeleton",Army)	
		SpawnUnits("archer",Army1)
		SpawnUnits("archerr",Army1)
		SpawnUnits("mossmane",Army1)
		SpawnUnits("elithen",Army)
		SpawnUnits("militia",Army)
		SpawnUnits("militiar",Army)
	end
end

-- setting flags along the fight bar
function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(0.2)
	AddVictoryBarMarker(0.4)
	AddVictoryBarMarker(0.6)
	AddVictoryBarMarker(0.8)
	AddVictoryBarMarker(1.0)
end










