destroyed = 0
SpellLevel = 0
Rank = 0
Titan = 0
Army = 0
Army1 = 0
Army2 = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
  QueueVFX("ElderStone_EnergyProp")
end

function onDeployStart()
													-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	SetWinnable(false)
	PlayVFX("ElderStone_EnergyProp", "elderstone")
	PlayVFX("ElderStone_EnergyProp", "elderstone2")
end

function onLevelStart()
	SetDisplayTimer(300, 0) -- set battle timer for 6 minutes
	AddTimer(300,Lose)
	SetVictoryBarEnabled(false)
	SetTriggerCallbacks("patrol", patrol_onTriggerEnter, patrol_onTriggerLeave)
	SetTriggerCallbacks("patrol1", patrol1_onTriggerEnter, patrol1_onTriggerLeave)
	SetTriggerCallbacks("patrol2", patrol2_onTriggerEnter, patrol2_onTriggerLeave)
	SetTriggerCallbacks("exit", exit_onTriggerEnter, exit_onTriggerLeave)
end

function patrol_onTriggerEnter(unit)
	if unit.attacker then
	    SpawnUnits("militia",Army)
		DisableTrigger("patrol")
	end	
end


function patrol1_onTriggerEnter(unit)
	if unit.attacker then
	    SpawnUnits("mossmane",Army1)
		DisableTrigger("patrol1")
	end	
end

function patrol2_onTriggerEnter(unit)
	if unit.attacker then
	    SpawnUnits("archer",Army1)
		DisableTrigger("patrol2")
	end	
end

function exit_onTriggerEnter(unit)
	if unit.attacker then
	    RespawnUnits("skeleton",Army)
		AddTimer(1, titanenter)
		DisableTrigger("exit")
	end	
end

function titanenter()
    PlayVFX("PA_SpawnReinforcement", "titan")
	AddTimer(1,titanspawn)
end
function titanspawn()
    SpawnUnits("titan",Titan)
end

--enemy units destroyed and the effects they will give out
function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 3 then
		    AddTargetCircleWithArrow("circle")
			AddTimer(10,ClearTargetCircles)
		end
		if destroyed == 6 then
		    AddTargetCircleWithArrow("circle1")
			AddTimer(10,ClearTargetCircles)
		end
		if destroyed == 12 then
			SetWinnable(true)
		end
	end
end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank <= 17 then			
			Army =  15
			Army1 = 17
			Titan = 15
		elseif Rank == 18 then			
			Army = Rank -2
			Army1 = Rank
			Titan = Rank -2
		elseif Rank == 19 then			
			Army = Rank -2
			Army1 = Rank -1
			Titan = Rank -2
		elseif Rank >= 20 then
			SpellLevel = Rank -2
			Army = 19
			Army1 = 19
			Army2 = 20
			Titan = 20
	end
		
	SpawnUnits("elithen",Army)		
		
	if forPlinthInspector then
		SpawnUnits("titan",Titan)
		SpawnUnits("skeleton",Army)	
		SpawnUnits("archer",Army1)
		SpawnUnits("mossmane",Army1)
		SpawnUnits("elithen",Army)
		SpawnUnits("militia",Army)
	end
end










