destroyed = 0
SpellLevel = 0
Rank = 0
Titan = 0
Army = 0
Army1 = 0
Army2 = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
													-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	SetWinnable(false)
end

function onLevelStart()
	SetTriggerCallbacks("trap", trap_onTriggerEnter, trap_onTriggerLeave)
	SetTriggerCallbacks("trapleft", trapleft_onTriggerEnter, trapleft_onTriggerLeave)
	SetTriggerCallbacks("trapright", trapright_onTriggerEnter, trapright_onTriggerLeave)
	SetDisplayTimer(300, 0) -- set battle timer for 5 minutes
	AddTimer(300,Lose)
end

function trap_onTriggerEnter(unit)
	if unit.attacker then
		AddTimer(1,entertitan)
		PlayVFX("PA_SpawnReinforcement", "titan")
		DisableTrigger("trap")
	end	
end

function trapleft_onTriggerEnter(unit)
	if unit.attacker then
		PlayVFX("PA_SpawnReinforcement", "left1")
		PlayVFX("PA_SpawnReinforcement", "left2")
		AddTimer(1,enterleft)
		DisableTrigger("trapleft")
	end	
end

function trapright_onTriggerEnter(unit)
	if unit.attacker then
		PlayVFX("PA_SpawnReinforcement", "right1")
		PlayVFX("PA_SpawnReinforcement", "right2")
		AddTimer(1, enterright)
		DisableTrigger("trapright")
	end	
end

-- calls in relevant troops here
function enterleft()
	SpawnUnits("ragnar",Army1)
	SpawnUnits("mossmane",Army1)
end
function enterright()
	SpawnUnits("elithen",Army1)
	SpawnUnits("unak",Army1)
end
function entertitan()
	SpawnUnits("titan",Titan)
end

--enemy units destroyed and the effects they will give out
function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 13 then
			SetWinnable(true)
		end
	end
end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank <= 19 then			
			Army =  17
			Army1 = 19
			Titan = 17
		elseif Rank >= 20 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank
			Titan = Rank -2
	end
		
	SpawnUnits("militia",Army)
	SpawnUnits("pikeman",Army)
	SpawnUnits("archer",Army1)
		
	if forPlinthInspector then
		SpawnUnits("titan",Titan)
		SpawnUnits("archer",Army1)
		SpawnUnits("mossmane",Army1)
		SpawnUnits("elithen",Army1)
		SpawnUnits("ragnar",Army1)
		SpawnUnits("unak",Army1)
		SpawnUnits("militia",Army)
		SpawnUnits("pikeman",Army)
	end
end










