
destroyed = 0

function onDeployStart()
  SetStandGuardButtonEnabled(false)
  PlayBattlefieldAnimation("ELDERSTONE2")
  SetAutoOrdersButtonEnabled(false)
  SetTriggerCallbacks("dead", dead_onTriggerEnter)
   if HasBattleBeenRestarted() then
	ShowDialog("Portraits/Guard_talkinghead","TXT_BATTLE_RESTARTED")
   end
 end

function onLevelStart()
	SetBattleTime(150)
	SetWinnable(false)
	SetMultipleUnitSelectionButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetStandGuardButtonEnabled(false)
	DisableNecromancer(true)
end

function onCameraAnimationFinish(cameraName)

	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead","TXT_CTES2_1") -- With a Titan leading use we will drive them back
	end
end

function dead_onTriggerEnter(unit)
	if unit.attacker then
	 AddTimer(1.0,gameover)
	 ShowDialog("Portraits/Guard_talkinghead","TXT_TOOFAR")
	 local units = GetUnits("*", "*", 0)
		for i,unit in pairs(units) do
		KillUnit(unit)
		end
	end
end


function gameover()
	Lose()
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
        if destroyed == 2 then
	       	--ShowDialog("Portraits/Guard_talkinghead","TXT_CTES2_2") -- They are no match for us now!
	    elseif destroyed == 4 then
		    --ShowDialog("Portraits/Guard_talkinghead","TXT_CTES2_3") -- Push on, victory is at hand!
	    elseif destroyed == 6 then
		    AddTimer(2.0,winning)
		    --ShowDialog("Portraits/Guard_talkinghead","TXT_CTES2_4") -- Victory is ours!!
		end
	end
end

function winning()
	SetWinnable(true)
end


