spawnedone = 0
spawnedtwo = 0
destroyed = 0
SpellLevel = 0
Army = 0
Rank = 0


function onDeployStart()
	SetWinnable(false)
	createStartingTroops(False)
end

function createStartingTroops(forPlinthInspector)
	
	-- Balanced for castle level 7
	SpellLevel = 5
	Army = 6
	Army1 = 7

	SpawnUnits("spawn4",Army1)
	SpawnUnits("spawn3",Army1)
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("spawn3",Army1)
		SpawnUnits("spawn4",Army1)
		SpawnUnits("spawn1",Army)
		SpawnUnits("spawn2",Army)
	end
end

function onLevelStart()
	SetTriggerCallbacks("trigger1", trigger1_onTriggerEnter)
	SetTriggerCallbacks("trigger2", trigger2_onTriggerEnter)
	--SetupVictoryBar()
	SetDisplayTimer(360,0)
	SetPanningCamera(-26.1, -149.3, 42.2, 0.4, -0.42) -- focusX, focusY, zoom, heading, pitch
end


function onCameraAnimationFinish(cameraName)
--	SetTutorial("camera is"..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		SetPanningCamera(-26.1, -149.3, 42.2, 0.4, -0.42) -- focusX, focusY, zoom, heading, pitch
		AddTimer(1.0, ShowDialogDismiss,"Portraits/Guard_talkinghead","TXT_SP13_1")
	end
end



function trigger1_onTriggerEnter(unit)
	if unit.attacker then
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP13_2")
		DisableTrigger("trigger1")
		SpawnUnits("spawn1",Army)
		spawnedone = 1
	end
end



function trigger2_onTriggerEnter(unit)
	if unit.attacker then
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP13_3")
		DisableTrigger("trigger2")
		SpawnUnits("spawn2",Army)
		spawnedtwo = 1
	end
end


--[[function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(5/12)
	AddVictoryBarMarker(12/12)
	AddVictoryBarMarker(1.0)
end]]



function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if unit.spawnId == "Spawn3" then
			if spawnedone == 0 then
				SpawnUnits("spawn1",Army)
			end
			if spawnedtwo == 0 then
				SpawnUnits("spawn2",Army)
			end
		end
		if destroyed == 8 then
			SetWinnable(true)
		end
	end
end






