--global variable for when spawning
SpellLevel = 0
Army = 0
destroyed = 0
LeftSideArcherAlive = 0
RightSideArcherAlive = 0
Rank = 0


function onDeployStart()
createStartingTroops(False)
SetFightButtonEnabled(false)
 local units = GetUnits("*", "AIHERO*", 1)
	for i,unit in pairs(units) do
		IntroCamFrameUnit(unit)
		AddAssassinationTarget(unit) -- Set the enemy hero to be the assassination target.
	end
end

function createStartingTroops(forPlinthInspector)

	-- Balanced for castle level 6
	SpellLevel = 4
	Army = 4
	Army3 = 6

	SpawnUnits("blocker1",Army)
	SpawnUnits("skel",Army)
	SpawnUnits("blocker2",Army)
	SpawnUnits("archer1",Army)
	SpawnUnits("archer2",Army)
	SpawnUnits("evilhero",Army3)

	-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("blocker1",Army)
		SpawnUnits("skel",Army)
		SpawnUnits("blocker2",Army)
		SpawnUnits("archer1",Army)
		SpawnUnits("archer2",Army)
		SpawnUnits("evilhero",Army)
	end
end
	
	


function onLevelStart()
    SetBattleTime(240,0)
	SetWinnable(false)
    SetVictoryBarType("ASSASSINATION")
	local units = GetUnits("*", "AIHERO*", 1)
	for i,unit in pairs(units) do
		AddAssassinationTarget(unit) -- We need to do this again, as the units from the deploy state are recreated in the battle state. Maybe assassination targets should be specified in the .json?
	end
end


function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialogInPosition("Portraits/Guard_talkinghead","TXT_SP22_1","TOP_LEFT")
		ShowDialogInPosition("Portraits/Guard_talkinghead","TXT_SP22_2","TOP_LEFT")
	end
end

function onTalkingHeadFinish(text)
	if text == "TXT_SP22_2" then
		SetFightButtonEnabled(true)
	end
end




function onUnitDestroyed(unit)							-- checks if the archers are still alive, if yes then spawn more pike units, if no then spawn nothing
	if unit.defender then
		if unit.spawnId == "blocker1" then
			if LeftSideArcherAlive == 0 then
				RespawnUnits("blocker3",Army)
			end
		end
		if unit.spawnId == "blocker2" then
			if RightSideArcherAlive == 0 then
				RespawnUnits("blocker4",Army)
			end
		end
		if unit.spawnId == "archer1" then		-- archer left side check
			LeftSideArcherAlive = 1
		end
		if unit.spawnId == "archer2" then		-- archer right side check
			RightSideArcherAlive = 1
		end		
	end
	if unit.spawnId == "evilhero" then
	   AddTimer(2.0,YouWin)
	end
end

function YouWin()
   Win()
 end











