--Global variable
drop = 0
dropCounter = 0
playAnim = 0
playonce = 0

--Deploy start
function onDeployStart()
	dropCounter = dropCounter + 1
	ShowGuideArrowForNextSpellDrop ("place1")
	if drop == 0 then
      DropSpell("Fireball", 5, "place1")
	  DropSpell("Fireball", 5, "place3")
	  drop = 1
  end
end

--Level start
function onLevelStart()
	SetBattleTime(120,0)
	SetAI()
	AddTimer(10.0,onSpoilSpawned)
end

function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_SP2A_1B")
	elseif cameraName == "BATTLE_START" then
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP2A_2")
	end
 end

	
-- get all units satisfying: any spawnId, archers, defender
function SetAI()
	local units = GetUnits("*", "*", 1) 
	for i,unit in pairs(units) do
		print("STAND GROUND:", unit);
		SetUnitStandGround(unit, true)
	end
end


function onUnitDestroyed(unit)
	if unit.defender and playonce == 0 then
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP2A_3")
		playonce = 1
		SpawnUnits("skeletons")
	end
end



-- A Spoil spawning will trigger this function
function onSpoilSpawned()
   	dropCounter = dropCounter + 1
    if drop == 1 then
	--ShowDialog("Portraits/Guard_talkinghead","TXT_SP2A_4")
		DropSpell("Fireball", 5, "place4")
		DropSpell("Fireball", 5, "place2")
		drop = 2
	elseif drop == 2 then
		DropSpell("Fireball", 5, "place5")
		DropSpell("Fireball", 5, "place6")
		drop = 0	
	  end

	if dropCounter <= 2 then
		AddTimer(10.0, onSpoilSpawned)
	end
end

-- Collecting a spoil should fire off a trigger to this function
--function onSpellCollected(spellName, level)
	--ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_SP2A_5")
	--AddTimer(3.0,SetTutorial,"")
--end

-- On Collecting a spell show the spell tutorial menu option
function onSpellCollected()
	if playAnim == 0 or playAnim == 2 then
		AddTimer(2.0, playhandswipe )
	end
	playAnim = playAnim + 1
end

function playhandswipe()
	PlayTutorialMovie("Media/UI/Tutorial_SpellCommands.swf")
end
















