
phase = 0
dropped = 0
spawnturn = 0
destroyed = 0
playonce = 0
notindeployphase = false
spellonce = 3

-- no units alive at start of game so winnable set to false
function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetMultipleUnitSelectionButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	--SetWinnable(false)
	--AddTargetCircleWithArrow("trigger1")
	

end


-- level starts, remove timer and cinematics, show instructional message, spawn initial set up spells
function onLevelStart()
	notindeployphase = true
	CreateRandomisedListOfThings("spawn1","spawn2","spawn3","spawn4")
	SetBattleTime(300)
	--SetVictoryBarEnabled(false)
	--SetupVictoryBar()
	--AddTimer(10.0,spawnskeleton1)
end

function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		--ShowDialog("Portraits/Guard_talkinghead","TXT_PTS_1")
		--DropSpell("Fireball", 3, "place5")
	end
	if cameraName == "BATTLE_START" then
		SetTriggerCallbacks("trigger1", trigger1_onTriggerEnter)



	end
end

function createStartingTroops(forPlinthInspector)
		SpawnUnits("spawn1")
		SpawnUnits("spawn2")
		SpawnUnits("spawn3")
    if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("spawn1")
		SpawnUnits("spawn2")
		SpawnUnits("spawn3")
		SpawnUnits("spawn1")
		SpawnUnits("spawn2")
		SpawnUnits("spawn3")
	end
end


-- starts the combat, spawns first units on right side and start first timer for more spawns
function trigger1_onTriggerEnter(unit)
	if unit.attacker then
		--AddTimer(1.0, kickoff)
		DisableTrigger("trigger1")
		--ClearTargetCircles()
		--DropSpell("Fireball", 3, "place4")
--		ShowUIGuideArrow("StandGuardBtn")
	end
end



--[[function kickoff()
		spellonce = 0
		notindeployphase = false
	  --AddTimer(300.0, Lose)
		--SetVictoryBarEnabled(true)
		--SetupVictoryBar()
		--ShowDialog("Portraits/Guard_talkinghead","TXT_PTS_2")
--		HideUIGuideArrow("StandGuardBtn")
end]]

--[[function spawnskeleton1()
	RespawnUnits("spawn1")
	RespawnUnits("spawn2")
	RespawnUnits("spawn3")
	RespawnUnits("spawn4")
	AddTimer (10.0,spawnskeleton2)
end]]

--[[function spawnskeleton2()
	RespawnUnits("spawn1")
	RespawnUnits("spawn2")
	RespawnUnits("spawn3")
	RespawnUnits("spawn4")
end]]


-- each time a spoil is picked up a new one will drop in the next place, alternates from place 1-4 and returns to 1
--[[function onSpoilSpawned()
	local i = math.random(1,8)
	if i == 1 then
		--ShowDialog("Portraits/Guard_talkinghead","TXT_SP3_5")
	elseif i == 2 then
		
	elseif 1 == 3 then
		--ShowDialog("Portraits/Guard_talkinghead","TXT_SP3_6")
	elseif i == 4 then
		
	elseif i == 5 then
		--ShowDialog("Portraits/Guard_talkinghead","TXT_SP3_7")
	elseif i == 6 then
		
	elseif i == 7 then
		--ShowDialog("Portraits/Guard_talkinghead","TXT_SP3_8")
	elseif i == 8 then
		
	end
	
	-- Drop spells for n turns and then give no more
	
	if dropped == 0 then
		DropSpell("Fireball", 3, "place1")
		--ShowGuideArrowForNextSpellDrop()
		dropped = dropped + 1
	
	elseif dropped == 1 then
		DropSpell("Fireball", 3, "place3")
		dropped = dropped + 1
	elseif dropped == 2 then
		DropSpell("Fireball", 3, "place2")
		dropped = dropped + 1
	elseif dropped == 3 then
		DropSpell("Fireball", 3, "place4")
		dropped = dropped + 1
	elseif dropped == 4 then
		DropSpell("Fireball", 3, "place1")
		dropped = dropped + 1
	elseif dropped == 5 then
		DropSpell("Fireball", 3, "place3")
		dropped = dropped + 1
	elseif dropped == 6 then
		DropSpell("Fireball", 3, "place2")
		dropped = dropped + 1
	end
end]]

-- Collecting a spoil shpould fire off a trigger to this function
--[[function onSpellCollected(spellName, level)
	if spellonce == 0 then
		playhandswipe()
	end
end]]

-- Using a spell will fire off a trigger to this function
--[[function onSpellCast(spellName, level)
	-- when they use a spell, drop another one a little later than the last
	AddTimer((dropped * 2) + 1,onSpoilSpawned)
	if spellonce == 0 then
		CloseTutorialMovie()
		spellonce = 1
	end	
end]]


-- counts the number of dead units, sets the win condition back to true when 10 enemies have been killed
--[[function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed +1
		if destroyed == 1 then
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())
		end
		if destroyed == 3 then
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())
			ShowDialog("Portraits/Guard_talkinghead","TXT_PTS_3")
			SetWinnable(true)
		end
	end
end]]


--[[function playhandswipe()
	PlayTutorialMovie("Media/UI/Tutorial_SpellCommands.swf")
	
end]]


--[[function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(3/12)
	AddVictoryBarMarker(4/12)
	--AddVictoryBarMarker(9/15)
	--AddVictoryBarMarker(12/15)
	AddVictoryBarMarker(1.0)
end]]
