phase = 0
destroyed = 0
encouragement = 0


function onDeployStart()
-- 	Message at the start telling the player initial set up
--  Setting the triggers so they work	
	SetTriggerCallbacks("First_Trigger", First_Trigger_onTriggerEnter)
	SetTriggerCallbacks("More_Skeletons", More_Skeletons_onTriggerEnter, More_Skeletons_onTriggerLeave)
	SetTriggerCallbacks("Pike_Unit_1", Pike_Unit_1_onTriggerEnter)
	SetTriggerCallbacks("YouWin", YouWin_onTriggerEnter)
	SetTriggerCallbacks("Enemy_Reinforcements", Enemy_Reinforcements_onTriggerLeave)	 
	SetTriggerCallbacks("Spell_Pickup", Spell_Pickup_onTriggerEnter, Spell_Pickup_onTriggerLeave) -- in this case actually a congrats for flanking
end

function onCameraAnimationFinish(BATTLE_START)
	ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_SP4_1B")
	phase = 1
end	

function onLevelStart()
	SetVictoryBarEnabled( false ) -- hides victory bar
	SetWinnable(false) -- Stopping the battle from finishing too soon without achieving their objective.
	SetDisplayTimer(160, 0)--	SetDisplayTimer(0,0) -- Stops the timer - We need a timer so that the player plays like the rest of the game
	AddTimer(155, TooLate)
	if phase == 1 then
		SpawnUnits("Skeleton1")
		SpawnUnits("Skeleton2") 
--	function onCameraAnimationFinish(BATTLE_START) -- who put this back in? Asked Jamie.
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP4_2")	 -- Messaging the player
		phase = 2
	end	
end



function First_Trigger_onTriggerEnter(unit)
	if unit.attacker and phase == 2 then
		SpawnUnits("Skeleton1")
		SpawnUnits("Skeleton2") 
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP4_3") -- Messaging the player
		phase = 3	
	end	
end
		

function More_Skeletons_onTriggerEnter(unit)
	if unit.attacker and phase == 3 then	
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP4_4")		
		phase = 4
		DisableTrigger("More_Skeletons")
		SetWinnable(true) 
	end
end

function Spell_Pickup_onTriggerEnter(unit)
	if phase == 4 and encouragement == 0 then
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP4_5")		
		encouragement = 1
		DisableTrigger("Spell_Pickup")
	end
end

function TooLate()
	SpawnUnits("ReinforcementSkeletons3")
	ShowDialog("Portraits/Guard_talkinghead","TXT_SP4_6")	
	phase = 5 -- To ensure that if the reinforcements are on you don't win by killing pikes without killing other enemies
end

function onUnitDestroyed(unit)
	if string.find(unit.id,"CampPikemen") and phase <= 5 then
	ShowDialog("Portraits/Guard_talkinghead", "TXT_SP4_7")	
	AddTimer(3.0,YouWon)	
	end
end

--End win function ends the battle once the unit has killed and time elapsed
function YouWon()
	Win()
end

function onDefenderDestroyed()
	if phase == 5 then
		Win()
	end
end

-- function YouWin_onTriggerEnter(unit)
--		if unit.attacker and phase == 5 then
--			Win()
--			phase = 6
--		end
--		onDefenderDestroyed()
-- end


