phase = 0
destroyed = 0

function onDeployStart()
 --	Message at the start telling the player initial set up
--	ShowMessageBox("TXT_SP5_1", "TXT_SP5_1B")	
--	phase = 1
--  Setting the triggers so they work	


end

--mission objectives
function onCameraAnimationFinish(cameraName)
--SetTutorial(""..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_SP5_9")
		phase = 1
	end
	if cameraName == "BATTLE_START" then
		ShowDialogDismiss("Portraits/Guard_talkinghead","TXT_SP5_2") -- Messaging the player		-- level start intro camera
		phase = 2 -- wasnt being fired from onLevelStart so placed this here as it always seems to get called. IF PHASE NOT SET TO 2 THEN NONE OF THIS SCRIPT WILL WORK!!!!!
		
	end
end	
	
function onLevelStart()
	SetTriggerCallbacks("WRONG_WAY", WrongWay_onTriggerEnter, WrongWay_onTriggerLeave)
	SetTriggerCallbacks("MoveLeftConfirmed", MoveLeftConfirmed_onTriggerEnter, MoveLeftConfirmed_onTriggerLeave)
	SetTriggerCallbacks("Flank_Left_Confirmed", Flank_Left_Confirmed_onTriggerEnter, Flank_Left_Confirmed_onTriggerleave)
	SetTriggerCallbacks("Move_Right_Confirmed", Move_Right_Confirmed_onTriggerEnter, Move_Right_Confirmed_onTriggerLeave)
	SetTriggerCallbacks("Flank_Right_Confirmed", Flank_Right_Confirmed_onTriggerEnter, Flank_Right_Confirmed_onTriggerleave)
	SetTriggerCallbacks("Skeletons_Attack", Skeletons_Attack_onTriggerEnter, Skeletons_Attack_Confirmed_onTriggerleave)	
	SetTriggerCallbacks("Enemy_Reinforcements", Enemy_Reinforcements_onTriggerLeave)
	SetBattleTime(180,0)
	AddTimer(170, TooLate)

end

function WrongWay_onTriggerEnter(unit)
	if unit.attacker then
		phase = 4			
		SpawnUnits("More_Enemy_Troops")			
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP5_3")			
		DisableTrigger("Wrong_Way")
	end	
end

--	if the player takes too long playing the level
function TooLate()
	if phase <= 2 then
		SpawnUnits("More_Enemy_Troops")
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP5_3")		
	end
end

function MoveLeftConfirmed_onTriggerEnter(unit)
	if unit.attacker and phase == 2 then
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP5_4")		
		phase = 3	
		DisableTrigger("MoveLeftConfirmed")
		DisableTrigger("MoveRightConfirmed")
	end	
end

function Move_Right_Confirmed_onTriggerEnter(unit)
	if unit.attacker and phase == 2 then	
		phase = 3
		DisableTrigger("MoveLeftConfirmed")
		DisableTrigger("MoveRightConfirmed")
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP5_4")		
	end
end

function Flank_Left_Confirmed_onTriggerEnter(unit)
	if unit.attacker and phase == 3 then	
		phase = 4
		DisableTrigger("Flank_Left_Confirmed")
		DisableTrigger("Flank_Right_Confirmed")
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP5_5")			
	end
end

function Flank_Right_Confirmed_onTriggerEnter(unit)
	if unit.attacker and phase == 3 then	
		phase = 4		
		DisableTrigger("Flank_Left_Confirmed")
		DisableTrigger("Flank_Right_Confirmed")
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP5_6")	
	end	
end	

function onUnitDestroyed(unit)
	MyonUnitDestroyed1(unit)
	MyonUnitDestroyed2(unit)
end

function MyonUnitDestroyed1(unit)
	if unit.spawnId == "CAMPARCHERLVL1_RIGHT[START]" then
		if phase == 4 and destroyed == 0  then
		ShowDialog("Portraits/Guard_talkinghead","TXT_SP5_7")
		SetWinnable(true)
		phase = 5
			destroyed = 1
	elseif phase == 5 and destroyed == 1 then
			ShowDialog("Portraits/Guard_talkinghead","TXT_SP5_8")
			phase = 6
			destroyed = 2
			AddTimer(3.0, Win)		-- added a timer to the win condition so that the talking head can communicate killing both archers has won the battle
	end
end

end

function MyonUnitDestroyed2(unit)
	if	unit.spawnId == "CAMPARCHERLVL1_LEFT[START]" then
		if phase == 5 and destroyed == 1 then
			ShowDialog("Portraits/Guard_talkinghead","TXT_SP5_8")			
			phase = 6
			destroyed = 2
			AddTimer(3.0, Win)  	-- added a timer to the win condition so that the talking head can communicate killing both archers has won the battle
		elseif phase == 4 and destroyed == 0 then
			ShowDialog("Portraits/Guard_talkinghead","TXT_SP5_7")		
			SetWinnable(true)
			phase = 5
			destroyed = 1
		end
	end
end


