
-- Global variables
Army = 0
Rank = 0

--deploy phase
function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
	SetMultipleUnitSelectionButtonEnabled(false)
	
	if HasBattleBeenRestarted() then
		ShowDialog("Portraits/Guard_talkinghead","TXT_BATTLE_RESTARTED")
    end
	
	SpawnUnits("spawn",Army)
end


-- battle start
function onLevelStart()
	SetBattleTime(120,0)
	SetMultipleUnitSelectionButtonEnabled(false)

end


function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank <= 3 then
			Army = 1
		elseif Rank >= 4 then
			Army = Rank -2
		end
    if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("spawn",Army)
	end
end

function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		--ShowMessageBox("TXT_MISSION5_1", "TXT_MISSION5_2")
		ShowDialogInPosition("Portraits/Guard_talkinghead","TXT_MISSION5_1","TOP_LEFT")
		--ShowDialogDismissInPosition("Portraits/Guard_talkinghead","TXT_MISSION5_2","TOP_LEFT")
	end
end

function onTalkingHeadFinish(text)
	if text == "TXT_MISSION5_1" then
		SetFightButtonEnabled(true)
	end
end
