
phase = 0
dropped = 0
spawnturn = 0
destroyed = 0




-- no units alive at start of game so winnable set to false
function onDeployStart()
	SetWinnable(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
end

-- level starts, remove timer and cinematics, show instructional message, spawn initial set up spells
function onLevelStart()
	SetMultipleUnitSelectionButtonEnabled(false)
	CreateRandomisedListOfThings("spawn1","spawn2","spawn3","spawn4")
	SetDisplayTimer(0,0)	-- no timer on level
	SetVictoryBarEnabled(true)
	AddTimer(5.0,spawnskeletons)
	--SetPanningCamera(15.0, -101.0, 33.6, 0.0, -0.26) -- focusX, focusY, zoom, heading, pitc
end


function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialogDismissInPosition("Portraits/Guard_talkinghead","TXT_MISSION8_1","TOP_LEFT")
		ShowDialogDismissInPosition("Portraits/Guard_talkinghead","TXT_MISSION8_2","TOP_LEFT")
	end
	if cameraName == "BATTLE_START" then

	end
end

function onTalkingHeadFinish(text)
	if text == "TXT_MISSION8_2" then
		SetFightButtonEnabled(true)
	end
end

function spawnskeletons()
	RespawnUnits(GetRandomisedRandomThing())
	RespawnUnits(GetRandomisedRandomThing())
	RespawnUnits(GetRandomisedRandomThing())
	RespawnUnits(GetRandomisedRandomThing())
	AddTimer(15.0, spawnskeleton2)
end

function spawnskeleton2()
	RespawnUnits(GetRandomisedRandomThing())
	RespawnUnits(GetRandomisedRandomThing())			
	RespawnUnits(GetRandomisedRandomThing())
	RespawnUnits(GetRandomisedRandomThing())
	--ShowDialog("Portraits/Guard_talkinghead","TXT_MISSION8_3")
	SetWinnable(true)
end


-- counts the number of dead units, sets the win condition back to true when 8 enemies have been killed
--[[function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed +1
		if destroyed == 1 then
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())
		elseif destroyed == 2 then
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())			
			RespawnUnits(GetRandomisedRandomThing())
			RespawnUnits(GetRandomisedRandomThing())
			--ShowDialog("Portraits/Guard_talkinghead","This is the last of their army")
			SetWinnable(true)
		end
	end
end]]


