
phase = 0
dropped = 0
spawnturn = 0
destroyed = 0


function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

-- no units alive at start of game so winnable set to false
function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetWinnable(false)
	SetMultipleUnitSelectionButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
end

-- level starts, remove timer and cinematics, show instructional message, spawn initial set up spells
function onLevelStart()
	CreateRandomisedListOfThings("spawn1","spawn2","spawn3","spawn4")
	SetVictoryBarEnabled(false)
	AddTimer(5.0,spawnskeletons)
	SetPanningCamera(18.5, -115.7, 49.8, 0.0, -0.46) -- focusX, focusY, zoom, heading, pitc
end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank <= 3 then
			Army = 1
		elseif Rank >= 4 then
			Army = Rank -2
		end
    if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("spawn1")
		SpawnUnits("spawn2")
		SpawnUnits("spawn3")
		SpawnUnits("spawn4")
		SpawnUnits("spawn2")
		SpawnUnits("spawn3")
    SpawnUnits("ragnardude")
	end
end

function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialogInPosition("Portraits/Guard_talkinghead","TXT_MISSION8ALT_4","TOP_LEFT")
		ShowDialogInPosition("Portraits/Guard_talkinghead","TXT_MISSION8ALT_5","TOP_LEFT")
	end
	if cameraName == "BATTLE_START" then

	end
end

function onTalkingHeadFinish(text)
	if text == "TXT_MISSION8ALT_4" then
		SetFightButtonEnabled(true)
	end
	if text == "TXT_MISSION8ALT_7" then
		endit()
	end
end

function spawnskeletons()
	RespawnUnits(GetRandomisedRandomThing())
	RespawnUnits(GetRandomisedRandomThing())
	RespawnUnits(GetRandomisedRandomThing())
	AddTimer(15.0, spawnskeleton2)
end

function spawnskeleton2()
	RespawnUnits(GetRandomisedRandomThing())
	RespawnUnits(GetRandomisedRandomThing())			
	RespawnUnits(GetRandomisedRandomThing())
	--ShowDialog("Portraits/Guard_talkinghead","TXT_MISSION8_3")
	
end


-- counts the number of dead units, sets the win condition back to true when 8 enemies have been killed
function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed +1
		if destroyed == 7 then
			PlayVFX("PA_SpawnReinforcement", "pos3")  --PA_CameraSpawnReinforcemen
			AddTimer(2.0, SpawnUnits, "ragnardude") 
	
			AddTimer(1.0, ShowDialogInPosition, "Portraits/Orlok_talkinghead","TXT_MISSION8ALT_6","TOP_LEFT")
		end
		if unit.spawnId == "ragnardude" then
			ShowDialogInPosition("Portraits/Orlok_talkinghead","TXT_MISSION8ALT_7","TOP_LEFT")
		end
	end
end



function endit()
	Win()
end
