destroyed = 0
SpellLevel = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
  QueueVFX("ElderStone_EnergyPropStones")
end

function onDeployStart()
    SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	AddTimer(0.2, story)
	SetMultipleUnitSelectionButtonEnabled(false)
	SetStandGuardButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
	PlayVFX("ElderStone_EnergyPropStones", "glow")
end

function story()
    ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_1_1")
	AddTimer(5, enter)
end

function enter()
	PlayVFX("PA_SpawnReinforcement", "arrival")
	AddTimer(1, enter1)
end
function enter1()
	SpawnUnits("easyarmy")
	StopVFX("ElderStone_EnergyPropStones", "glow")
	AddTimer(2,enter2)
end
function enter2()
    PlayVFX("ElderStone_EnergyPropStones", "glow")
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_1_2")
    AddTimer(1, enter3)
end
function enter3()
	PlayVFX("PA_SpawnReinforcement", "arrival2")
	PlayVFX("PA_SpawnReinforcement", "arrival3")
	AddTimer(1, enter4)
end
function enter4()
	SpawnUnits("ambush1")
	StopVFX("ElderStone_EnergyPropStones", "glow")
	AddTimer(2,startgame)
end

function startgame()
	SetMultipleUnitSelectionButtonEnabled(true)
	SetStandGuardButtonEnabled(true)
	SetAutoOrdersButtonEnabled(true)
	SetFightButtonEnabled(true)
	SetVictoryBarFill(0)
end

function onLevelStart()
	SetTriggerCallbacks("trap1", trap1_onTriggerEnter, trap1_onTriggerLeave)
	SetTriggerCallbacks("trap2", trap2_onTriggerEnter, trap2_onTriggerLeave)
	--SetTriggerCallbacks("circletrap", circletrap_onTriggerEnter, circletrap_onTriggerLeave)
end

function trap1_onTriggerEnter(unit)
	if unit.attacker then
		ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN10_1_3")
		--AddTargetCircle("circle")
		SpawnUnits("ambush2")
		DisableTrigger("trap1")
	end
end

function trap2_onTriggerEnter(unit)
	if unit.attacker then
		--SpawnUnits("ambush4")
		SpawnUnits("ambush3")
		DisableTrigger("trap2")
	end
end

function circletrap_onTriggerEnter(unit)
	if unit.attacker then
		SetVictoryBarFill(1)
		DisableTrigger("circletrap")
		AddTimer(3,winner)
	end
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 4 then
			--ShowDialogEternal("Portraits/Guard_talkinghead", "TXT_CAMPAIGN10_1_5")
			--AddTargetCircle("circle")
			AddTimer(5, circleenter)
			SpawnUnits("ambush4")
			SetVictoryBarFill(0.3)
		end
		if destroyed == 6 then
			--SpawnUnits("ambush3")
			SetVictoryBarFill(0.6)
		end
		if destroyed == 10 then
		    SetVictoryBarFill(0.9)
			ShowDialogEternal("Portraits/Guard_talkinghead", "TXT_CAMPAIGN10_1_4")
			SetTriggerCallbacks("circletrap", circletrap_onTriggerEnter, circletrap_onTriggerLeave)
		end
	end
end

function circleenter()
    HideDialog()
	AddTargetCircle("circle")
end

function winner()
    SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("ambush1")
		SpawnUnits("ambush2")
		SpawnUnits("ambush3")
		SpawnUnits("ambush4")
	end
end










