destroyed = 0
SpellLevel = 0
Rank = 0
patrol = 0

function onDeployStart()
	SetWinnable(false)
	createStartingTroops(False)
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_5_6")
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_5_7")
end

function onLevelStart()
	SetTriggerCallbacks("enemystart", enemystart_onTriggerEnter, enemystart_onTriggerLeave)
	SetTriggerCallbacks("point1", point1_onTriggerEnter, point1_onTriggerLeave)
	SetTriggerCallbacks("point2", point2_onTriggerEnter, point2_onTriggerLeave)
	SetTriggerCallbacks("point3", point3_onTriggerEnter, point3_onTriggerLeave)
	SetTriggerCallbacks("point4", point4_onTriggerEnter, point4_onTriggerLeave)
	SetTriggerCallbacks("point5", point5_onTriggerEnter, point5_onTriggerLeave)
	SetTriggerCallbacks("point6", point6_onTriggerEnter, point6_onTriggerLeave)
	SetTriggerCallbacks("spawnpatrol", spawnpatrol_onTriggerEnter, spawnpatrol_onTriggerLeave)
	SetTriggerCallbacks("follow", follow_onTriggerEnter, follow_onTriggerLeave)
	SetTriggerCallbacks("ambushright", ambushright_onTriggerEnter, ambushright_onTriggerLeave)
	SetTriggerCallbacks("ambushleft", ambushleft_onTriggerEnter, ambushleft_onTriggerLeave)
	SetTriggerCallbacks("startpat", startpat_onTriggerEnter, startpat_onTriggerLeave)
	SetTriggerCallbacks("early", early_onTriggerEnter, early_onTriggerLeave)
	stopdefender()
end

function stopdefender()
	local units = GetUnits("rear","*", 1)
		for i,unit in pairs(units) do
			SetUnitStandGround(unit, true)
		end
end

function early_onTriggerEnter(unit)  --lose the battle
	if unit.attacker then
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_5_1")
		DisableTrigger("early")
		Lose()
	end
end


function startpat_onTriggerEnter(unit) --starts the bad guys moving
	if unit.attacker then
		SpawnUnits("scout")
		GiveNamedUnitMoveOrder("scout", "point2")
		DisableTrigger("startpat")		
	end
end

function point2_onTriggerEnter(unit)
	local units = GetUnits("scout", 1)
		for i,unit in pairs(units) do
			SetUnitStandGround(unit, true)
		end
end

function point4_onTriggerEnter(unit)
	if unit.spawnId == "scout" then
		startrear()
	end
end

function startrear()
	local units = GetUnits("rear","*", 1)
		for i,unit in pairs(units) do
			SetUnitStandGround(unit, false)
			GiveNamedUnitMoveOrder("rear", "point6")
		end
end

function ambushleft_onTriggerEnter(unit)
	if unit.attacker then
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_5_2")
		DisableTrigger("ambushleft")
	end
end

function ambushright_onTriggerEnter(unit)
	if unit.attacker then
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_5_3")
		DisableTrigger("ambushright")
	end
end


function follow_onTriggerEnter(unit)
	if unit.spawnId == "scout" then
		SpawnUnits("patrol")
		GiveNamedUnitMoveOrder("patrol", "point1")
	end
end

function spawnpatrol_onTriggerLeave(unit)
	if unit.spawnId == "patrol" then
		SpawnUnits("patrol1")
		GiveNamedUnitMoveOrder("patrol1", "point4")
	elseif
		unit.spawnId == "patrol1" then
		SpawnUnits("patrol2")
		GiveNamedUnitMoveOrder("patrol2", "point5")		
		SetWinnable(true)
	end
end

function point5_onTriggerEnter(unit)
	if unit.spawnId == "patrol2" then
		DisableTrigger ("early")
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_5_4")
	end
end

function point6_onTriggerEnter(unit)
	if unit.spawnId == "rear" then
		DisableTrigger("ambush")
		AddTimer(4.0, flee)

	end
end

function flee()
		AddTimer (2.0, rearguard)
		GiveNamedUnitMoveOrder("patrol", "point3")
		GiveNamedUnitMoveOrder("patrol1", "point3")
		GiveNamedUnitMoveOrder("patrol2", "point3")
	--GiveNamedUnitMoveOrder("rear", "point3")
end

function rearguard()
	GiveNamedUnitMoveOrder("scout", "point3")
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
	end
end

function point3_onTriggerEnter(unit)
	if unit.defender then
		patrol = patrol + 1
	    if patrol >= 1 and destroyed <= 8 then
			AddTimer(0.0,escape1)
		end
	end
end

function escape1()
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10_5_5")
	AddTimer(0.1, escape2)
end

function escape2()
	Lose()
end


function createStartingTroops(forPlinthInspector)
	
		SpawnUnits("rear")		
		
	if forPlinthInspector then
		SpawnUnits("patrol")
		SpawnUnits("patrol1")
		SpawnUnits("patrol2")
		SpawnUnits("scout")	
		SpawnUnits("rear")		
		
	end
end










