
SpellLevel = 0
Army = 0
Rank = 0
destroyed = 0

function onDeployStart()
	createStartingTroops(False)  -- This part here
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10B_5_1")
end

function onLevelStart()
	SetTriggerCallbacks("trigger1", trigger1_onTriggerEnter, trigger1_onTriggerLeave)
	SetTriggerCallbacks("trigger2", trigger2_onTriggerEnter, trigger2_onTriggerLeave)
	SetTriggerCallbacks("titandie", titandie_onTriggerEnter, titandie_onTriggerLeave)
	local units = GetUnits("*", "Leader", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, true)
		SetCanGrowAwareness("Leader",false)
	end
end

function trigger2_onTriggerEnter(unit)
	if unit.spawnId == "Leader" then
		SpawnUnits("party")
	end
end

function trigger2_onTriggerLeave(unit)
	DisableTrigger("trigger2")
	if unit.spawnId == "Leader" then
		SpawnUnits("party2")
	end
end
	

function trigger1_onTriggerLeave(unit)
	if unit.attacker then
		DisableTrigger("trigger1")
		GiveNamedUnitMoveOrder("Leader", "titandie")
		AddTimer(2.5,backambush)
		ShowDialog("Portraits/Sabotage_talkinghead","TXT_CAMPAIGN10B_5_2")
	end
end
 
function backambush()
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10B_5_3")
	SpawnUnits("behind")
end
 
function titandie_onTriggerEnter(unit)
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN10B_5_4")
	if unit.spawnId == "Leader" then
		local units = GetUnits("Leader","*", 1)
			for i,unit in pairs(units) do
				KillUnit(unit, true)
			end
		end
end



function createStartingTroops(forPlinthInspector)
	-- Balanced for castle level 10-11
	Leader = 14
	
	SpawnUnits("Leader",Leader)
	
-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("Leader",Leader)
		SpawnUnits("behind")
		SpawnUnits("party")
		SpawnUnits("party2")
	end
end