spawntotal = 0
destroyed = 0

function onDeployStart()
	
	SetWinnable(false)
	createStartingTroops(false)
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_10C4_INTRO")

end

function createStartingTroops(forPlinthInspector)
	
	SpawnUnits("spawn1L")
	SpawnUnits("spawn1R")
	SpawnUnits("spawn2L")
	SpawnUnits("spawn2R")
	
	if forPlinthInspector then
	
		RespawnUnits("spawnL")
		RespawnUnits("spawnR")
		RespawnUnits("spawnL")
		RespawnUnits("spawnR")
		RespawnUnits("spawnL")
		RespawnUnits("spawnR")
		RespawnUnits("spawnL")
		RespawnUnits("spawnR")
		
	end
end

function onLevelStart()

	SetVictoryBarEnabled(false)
	SetTriggerCallbacks("lose_zone", lose_zone_onTriggerEnter, lose_zone_onTriggerLeave)
	SetTriggerCallbacks("zoneL", zoneL_onTriggerEnter, zoneL_onTriggerLeave)
	SetTriggerCallbacks("zoneR", zoneR_onTriggerEnter, zoneR_onTriggerLeave)
	SetTriggerCallbacks("zoneL2", zoneL2_onTriggerEnter, zoneL2_onTriggerLeave)
	SetTriggerCallbacks("zoneR2", zoneR2_onTriggerEnter, zoneR2_onTriggerLeave)
	AddTimer(1.0, Start_SpawnMove)
	AddTimer(20.0, wave_spawn)
	
end

function wave_spawn()
	
	SetVictoryBarEnabled(true)
	SetupVictoryBar()
	SetVictoryBarFill(0)
	if math.random() >= 0.5 then
		startright()
		elseif math.random() < 0.5 then
		startleft()
		
	end

end

function Start_SpawnMove()

	GiveNamedUnitMoveOrder("spawn1L", "zoneL")
	GiveNamedUnitMoveOrder("spawn1R", "zoneR")
	GiveNamedUnitMoveOrder("spawn2L", "zoneL2")
	GiveNamedUnitMoveOrder("spawn2R", "zoneR2")

end

function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(0.25)
	AddVictoryBarMarker(0.50)
	AddVictoryBarMarker(0.75)
	AddVictoryBarMarker(1.0)
end

function startright()
	
	if spawntotal <=6 then
		spawntotal = spawntotal + 1
		WinCondition()
		AddTimer(20.0, startright) 
		if spawntotal == 1 then
			RespawnUnits("spawnR")
			ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_10C4_MORERIGHT")
		elseif spawntotal == 2 then
			RespawnUnits("spawnL")
		elseif spawntotal == 3 then
			RespawnUnits("spawnL")
			RespawnUnits("spawnR")
			ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_10C4_NOEND")
		elseif spawntotal == 4 then
			RespawnUnits("spawnR")
		elseif spawntotal == 5 then
			RespawnUnits("spawnL")
		elseif spawntotal == 6 then
			RespawnUnits("spawnL")
			RespawnUnits("spawnR")
		end
	end

end

function startleft()

	if spawntotal <=6 then
		spawntotal = spawntotal + 1
		WinCondition()
		AddTimer(20.0, startleft) 
		if spawntotal == 1 then
			RespawnUnits("spawnL")
			ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_10C4_MORELEFT")
		elseif spawntotal == 2 then
			RespawnUnits("spawnR")
		elseif spawntotal == 3 then
			RespawnUnits("spawnL")
			RespawnUnits("spawnR")
			ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_10C4_NOEND")
		elseif spawntotal == 4 then
			RespawnUnits("spawnL")		
		elseif spawntotal == 5 then
			RespawnUnits("spawnR")
		elseif spawntotal == 6 then
			RespawnUnits("spawnL")
			RespawnUnits("spawnR")
		end
	end

end

function onUnitDestroyed(unit)
	if unit.spawnId == "spawnL" or unit.spawnId == "spawnR" then
		destroyed = destroyed + 1
		if destroyed == 1 then
			SetVictoryBarFill(0.04)
		end
		if destroyed == 2 then
			SetVictoryBarFill(0.08)
		end
		if destroyed == 3 then
			SetVictoryBarFill(0.12)
		end
			if destroyed == 4 then
			SetVictoryBarFill(0.16)
		end
		if destroyed == 5 then
			SetVictoryBarFill(0.20)
		end
		if destroyed == 6 then
			SetVictoryBarFill(0.24)
		end
		if destroyed == 7 then
			SetVictoryBarFill(0.28)
		end
			if destroyed == 8 then
			SetVictoryBarFill(0.32)
		end
			if destroyed == 9 then
			SetVictoryBarFill(0.36)
		end
			if destroyed == 10 then
			SetVictoryBarFill(0.40)
		end
			if destroyed == 11 then
			SetVictoryBarFill(0.44)
		end
		if destroyed == 12 then
			SetVictoryBarFill(0.48)
		end
		if destroyed == 13 then
			SetVictoryBarFill(0.52)
		end
		if destroyed == 14 then
			SetVictoryBarFill(0.56)
		end
		if destroyed == 15 then
			SetVictoryBarFill(0.60)
		end
		if destroyed == 16 then
			SetVictoryBarFill(0.64)
		end
		if destroyed == 17 then
			SetVictoryBarFill(0.68)
		end
		if destroyed == 18 then
			SetVictoryBarFill(0.72)
		end
		if destroyed == 19 then
			SetVictoryBarFill(0.76)
		end
		if destroyed == 20 then
			SetVictoryBarFill(0.80)
		end
		if destroyed == 21 then
			SetVictoryBarFill(0.84)
		end
		if destroyed == 22 then
			SetVictoryBarFill(0.88)
		end
		if destroyed == 23 then
			SetVictoryBarFill(0.92)
		end
		if destroyed == 24 then
			SetVictoryBarFill(1.0)
		end
	end
end

function WinCondition()

	if spawntotal >= 6 then

		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_10C4_FINAL")
		SetWinnable(true)
		
	end
end


function lose_zone_onTriggerEnter(unit)

	if unit.defender then

		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_10C4_LOSE")
		AddTimer(4.0, linebroken)
		
	end

end

function linebroken()

	Lose()
	
end