destroyed = 0

function onDeployStart()
	
	SetWinnable(false)
	createStartingTroops(False)
	ShowDialog("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_11_1_INTRO")
	
end

function onLevelStart()
	
	SetVictoryBarEnabled(false)
	SetTriggerCallbacks("trigger1", trigger1_onTriggerEnter, trigger1_onTriggerLeave)
	SetTriggerCallbacks("trigger2", trigger2_onTriggerEnter, trigger2_onTriggerLeave)
	SetTriggerCallbacks("finish", finish_onTriggerEnter, finish_onTriggerLeave)
	SetTriggerCallbacks("warning", warning_onTriggerEnter, warning_onTriggerLeave)
	HoldUnit()
	
end

function createStartingTroops(forPlinthInspector)
	
	SpawnUnits("reinforce")
	
	if forPlinthInspector then
		SpawnUnits("reinforce")
		SpawnUnits("spawn1")
		SpawnUnits("spawn2")
	end
	
end

function HoldUnit()

	local units = GetUnits("reinforce", "*", 1)
	for i,unit in pairs(units) do
	SetUnitStandGround(unit, true)
	end
	AddTimer(30.0, EnemyMove)
	
end

function EnemyMove()
	local units = GetUnits("reinforce", "*", 1)
	for i,unit in pairs(units) do
	GiveNamedUnitMoveOrder("reinforce", "finish")
	end

end

function trigger1_onTriggerEnter(unit)
	if unit.attacker then

		DisableTrigger("trigger1")
		SpawnUnits("spawn1")
		ShowDialog("Portraits/Soldier_talkinghead","TXT_CAMPAIGN11_1_AMBUSH")
	end

end

function trigger2_onTriggerEnter(unit)

	if unit.attacker then
		DisableTrigger("trigger2")
		SpawnUnits("spawn2")
		ShowDialog("Portraits/Soldier_talkinghead","TXT_CAMPAIGN11_1_AMBUSH2")
	end

end

function finish_onTriggerEnter(unit)

	if unit.spawnId == "reinforce" then
		DisableTrigger("finish")
		Lose()
		ShowDialog("Portraits/Soldier_talkinghead", "TXT_CAMPAIGN11_1_LOSE")
	
	end
	if unit.attacker then
		ShowDialog("Portraits/Soldier_talkinghead", "TXT_CAMPAIGN11_1_DEFEND")
		DisableTrigger("finish")
		SetVictoryBarEnabled(true)
		SetWinnable(true)
	end	
	

end

function warning_onTriggerEnter(unit)

	if unit.spawnId == "reinforce" then
		DisableTrigger("warning")
		ShowDialog("Portraits/Soldier_talkinghead", "TXT_CAMPAIGN11_1_WARN")
	end
	
end


function onUnitDestroyed(unit)
	
	if unit.spawnId == 'reinforce' then
		destroyed = destroyed + 1
			if destroyed >= 2 then
				SetWinnable(true)
				ShowDialog("Portraits/Soldier_talkinghead", "TXT_CAMPAIGN11_1_DEFEND")
			end
	end

end

