destroyed = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
  QueueVFX("ElderStone_EnergyProp")
end

function onDeployStart()
	SetWinnable(false)
	createStartingTroops(false)
	PlayVFX("ElderStone_EnergyProp", "fx1")
	ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_11_5_INTRO")
end

function wave1spawn()
    SpawnUnits("wave1")
end
function wave2spawn()
    SpawnUnits("wave2")
end
function wave3spawn()
    SpawnUnits("wave3")
end

function onUnitDestroyed(unit)
	destroyed = destroyed + 1

	if destroyed == 4 then
		AddTimer(1.0, wave1spawn)
		PlayVFX("PA_SpawnReinforcement", "fx2")
		PlayVFX("PA_SpawnReinforcement", "fx3")
		PlayVFX("PA_SpawnReinforcement", "fx4")
		PlayVFX("PA_SpawnReinforcement", "fx5")
		PlayVFX("PA_SpawnReinforcement", "fx6")
		ShowDialog("Portraits/dip_alm_talkinghead","TXT_CAMPAIGNX_11_5_WAVE1")
	elseif destroyed == 9 then
		AddTimer(1.0, wave2spawn)
		DisableTrigger("wave1")
		PlayVFX("PA_SpawnReinforcement", "fx7")
		PlayVFX("PA_SpawnReinforcement", "fx8")
		PlayVFX("PA_SpawnReinforcement", "fx9")
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGNX_11_5_WAVE2")
	elseif destroyed == 13 then
		AddTimer(1.0, wave3spawn)
		DisableTrigger("wave1")
		PlayVFX("PA_SpawnReinforcement", "fx10")
		PlayVFX("PA_SpawnReinforcement", "fx11")
		PlayVFX("PA_SpawnReinforcement", "fx13")
		ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGNX_11_5_WAVE3")
	elseif destroyed > 15 then
		SetWinnable(true)
	end
end

function onLevelStart()           
	SetVictoryBarType("WAVES")
end

function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(4/14)
	AddVictoryBarMarker(9/14)
	AddVictoryBarMarker(14/18)
	AddVictoryBarMarker(1.0)
end

function createStartingTroops(forPlinthInspector)
	if forPlinthInspector then
		SpawnUnits("wave3")
		SpawnUnits("wave1")
		SpawnUnits("wave2")
	end
end