destroyed = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	
	createStartingTroops(False)
	ShowDialog("Portraits/Soldier_talkinghead","TXT_CAMPAIGN_10_9_INTRO")
	

end

function onLevelStart()
	SetWinnable(false)
	SetupVictoryBar()
	SetVictoryBarFill(0)
	SetTriggerCallbacks("trigger1", trigger1_onTriggerEnter, trigger1_onTriggerLeave)
	SetTriggerCallbacks("trigger2", trigger2_onTriggerEnter, trigger2_onTriggerLeave)
	SetTriggerCallbacks("trigger3", trigger3_onTriggerEnter, trigger3_onTriggerLeave)
	SetTriggerCallbacks("trigger4", trigger4_onTriggerEnter, trigger4_onTriggerLeave)
	SetTriggerCallbacks("trigger5", trigger5_onTriggerEnter, trigger5_onTriggerLeave)
	SetTriggerCallbacks("trigger6", trigger6_onTriggerEnter, trigger6_onTriggerLeave)
	SetTriggerCallbacks("trigger7", trigger5_onTriggerEnter, trigger5_onTriggerLeave)
	SetTriggerCallbacks("trigger8", trigger6_onTriggerEnter, trigger6_onTriggerLeave)
	SetTriggerCallbacks("attack1", attack4_onTriggerEnter, attack4_onTriggerLeave)
	AddTimer(4.0, framecamera)
end



function framecamera(seconds)
	ShowDialog ("Portraits/dip_ragnar_talkinghead","TXT_CAMPAIGN_11_9_WAVE1")
	FrameCamera("attack1")
	CastSpell("Fireball", 20, "attack1", 0)
	AddTimer(8.0, ReturnCamera)
	AddTimer(4.0, MoveWave1)
end

function MoveWave1()
	local units = GetUnits("wave1", "*", 1)
	for i,unit in pairs(units) do
	GiveUnitMoveOrder(unit, "trigger1")
	end
end

function trigger1_onTriggerEnter(unit)

	if unit.spawnId == "wave1" then
		DisableTrigger("trigger1")
		local units = GetUnits("wave1", "*", 1)
		for i,unit in pairs(units) do
		GiveUnitMoveOrder(unit, "trigger2")
		end
	
	end
end

function MoveWave2()
	local units = GetUnits("wave2", "*", 1)
	for i,unit in pairs(units) do
	GiveUnitMoveOrder(unit, "trigger3")
	end
end

function trigger3_onTriggerEnter(unit)

	if unit.spawnId == "wave2" then
		DisableTrigger("trigger3")
		local units = GetUnits("wave2", "*", 1)
		for i,unit in pairs(units) do
		GiveUnitMoveOrder(unit, "trigger4")
		end
	
	end
end

function MoveWave3()
	local units = GetUnits("wave3", "*", 1)
	for i,unit in pairs(units) do
	GiveUnitMoveOrder(unit, "trigger5")
	end
end

function trigger5_onTriggerEnter(unit)

	if unit.spawnId == "wave2" then
		DisableTrigger("trigger5")
		local units = GetUnits("wave2", "*", 1)
		for i,unit in pairs(units) do
		GiveUnitMoveOrder(unit, "trigger6")
		end
	
	end
end

function MoveWave4()
	local units = GetUnits("wave4", "*", 1)
	for i,unit in pairs(units) do
	GiveUnitMoveOrder(unit, "trigger7")
	end
	
	local units = GetUnits("titan", "*", 1)
	for i,unit in pairs(units) do
	GiveUnitMoveOrder(unit, "trigger7")
	end
end

function trigger7_onTriggerEnter(unit)

	if unit.spawnId == "wave4" then
		DisableTrigger("trigger7")
		local units = GetUnits("wave4", "*", 1)
		for i,unit in pairs(units) do
		GiveUnitMoveOrder(unit, "trigger8")
		end
		
		local units = GetUnits("titan", "*", 1)
		for i,unit in pairs(units) do
		GiveUnitMoveOrder(unit, "trigger8")
		end
	
	end
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
			if destroyed == 3 then
				CastSpell("Fireball", 20, "attack2", 0)
				SpawnUnits("wave2")
				ShowDialog ("Portraits/dip_ragnar_talkinghead", "TXT_CAMPAIGN_11_9_WAVE2")
				AddTimer(4.0, MoveWave2)
				SetVictoryBarFill(0.1)
			elseif destroyed == 6 then
				CastSpell("Fireball", 20, "attack3", 0)
				PlayVFX("PA_SpawnReinforcement", "fx2")
				PlayVFX("PA_SpawnReinforcement", "fx3")
				PlayVFX("PA_SpawnReinforcement", "fx6")
				AddTimer(1.0, SpawnWave3)
				AddTimer(4.0, MoveWave3)
				ShowDialog ("Portraits/dip_ragnar_talkinghead", "TXT_CAMPAIGN_11_9_WAVE3")
				SetVictoryBarFill(0.4)
			elseif destroyed == 8 then
				CastSpell("Fireball", 20, "attack4", 0)
				PlayVFX("PA_SpawnReinforcement", "fx5")
				PlayVFX("PA_SpawnReinforcement", "fx8")
				AddTimer(1.0, SpawnWave4)
				AddTimer(4.0, MoveWave4)
				ShowDialog ("Portraits/dip_ragnar_talkinghead", "TXT_CAMPAIGN_11_9_WAVE4")
				SetVictoryBarFill(0.7)
			elseif unit.spawnId == "titan" then
				ShowDialog ("Portraits/dip_ragnar_talkinghead", "TXT_CAMPAIGN_11_9_TITAN")
				AddTimer(3.0, Winnable)
				SetVictoryBarFill(1)
		end
	end
end

function Winnable()
	SetWinnable(true)
end

function SpawnWave3()
	SpawnUnits("wave3")
end

function SpawnWave4()
	SpawnUnits("wave4")
	SpawnUnits("titan")
end


function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(0.1)
	AddVictoryBarMarker(0.4)
	AddVictoryBarMarker(0.7)
	AddVictoryBarMarker(1.0)
end

function createStartingTroops(forPlinthInspector)
	
	SpawnUnits("wave1")
	
	if forPlinthInspector then
	
		SpawnUnits("wave1")
		SpawnUnits("wave2")
		SpawnUnits("wave3")
		SpawnUnits("wave4")
		SpawnUnits("titan")

	end
end