
SpellLevel = 0
Army = 0
Army1 = 0
Army2 = 0
Rank = 0

function QueueAssets()
  QueueVFX("ElderStone_EnergyProp")
end

function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetTriggerCallbacks("left", left_onTriggerEnter, left_onTriggerLeave)
	SetTriggerCallbacks("right", right_onTriggerEnter, right_onTriggerLeave)
	PlayVFX("ElderStone_EnergyProp", "stone")
	PlayVFX("ElderStone_EnergyProp", "stone1")
	PlayVFX("ElderStone_EnergyProp", "stone2")
	PlayVFX("ElderStone_EnergyProp", "stone3")
end

function left_onTriggerEnter(unit)
	if unit.attacker then
		SpawnUnits("start1",Army1)
		DisableTrigger("left")
	end
end

function right_onTriggerEnter(unit)
	if unit.attacker then
		SpawnUnits("start2",Army2)
		DisableTrigger("right")
	end
end

function onUnitDestroyed(unit)
	if unit.spawnId == "startleft" then
		SpawnUnits("start1",Army1)
		DisableTrigger("left")
	end
	
	if unit.spawnId == "startright" then
		SpawnUnits("start2",Army2)
		DisableTrigger("right")
	end
end

function createStartingTroops(forPlinthInspector)
	SpawnUnits("startleft",Army)
	SpawnUnits("startright",Army)
	

-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("startleft",Army)
		SpawnUnits("startright",Army)
		SpawnUnits("start1",Army1)
		SpawnUnits("start2",Army2)
	end
end

