Army = 0
phase = 0
dropped = 0
spawnturn = 0
destroyed = 0
playonce = 0
spellonce = 0
onemessage = 0

function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetTriggerCallbacks("trap", trap_onTriggerEnter, trap_onTriggerLeave)
end

-- The below is for spawning a spell in a trigger at the start of a match.
function onCameraAnimationFinish(cameraName)
	if cameraName == "CAMERA_INTRO*" then
		DropSpell("Fireball", 4, "drop4")
		DropSpell("Lightning", 4, "drop3")
		DropSpell("Freeze", 4, "drop2")
		DropSpell("PoisonCloud", 4, "drop1")
		AddTimer(2.0, SpawnOneEnemyUnit)
		--ShowDialog("Portraits/Guard_talkinghead", "Move your troops over those battle drops in order to harness their power against the enemy.")
	end
end

function SpawnOneEnemyUnit()
	ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN4D_3_1")
end

function createStartingTroops(forPlinthInspector)

	-- Balanced for castle level 4
	SpellLevel = 4
	Army = 1

-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("deadwave",Army)
	end
	
end

function trap_onTriggerEnter(unit)
	if unit.attacker then
		SpawnUnits("deadwave",Army)
		DisableTrigger("trap")
	end
end


