destroyed = 0
SpellLevel = 0
Army = 0
Army1 = 0
Army2 = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetWinnable(false)
	SetTriggerCallbacks("opening", opening_onTriggerEnter, opening_onTriggerLeave)
end

function onLevelStart()
    SetAI1() -- allies
	SetAI2() -- enemy attacking allies
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialogDismiss("Portraits/Guard_talkinghead", "TXT_CAMPAIGN6E_4_1")
		AddTimer(4.0,startgame)
	end
end

function startgame()
	HideDialog()
	AddTimer(1.0, SpawnOneEnemyUnit)
	PlayVFX("PA_SpawnReinforcement", "lefttrap")
	PlayVFX("PA_SpawnReinforcement", "righttrap")
	PlayVFX("PA_SpawnReinforcement", "middletrap")
	PlayVFX("PA_SpawnReinforcement", "backtrap")
end

function SpawnOneEnemyUnit()
	SpawnUnits("start1",Army)
end

function SetAI1() -- sets allies to not do damage
	local units = GetUnits("*", "*", 2)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
			EnableInvincibility(unit)
	end
end

function SetAI2() -- sets attacker on allies to not do damage
	local units = GetUnits("*", "*", 3)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
			EnableInvincibility(unit)
	end
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 4 then
			AddTimer(1, SpawnTwoEnemyUnit) 
		    ShowDialog("Portraits/dip_elithen_talkinghead","TXT_CAMPAIGN6E_4_2")
		local units = GetUnits("*", "*", 2) --switches sides and puts damage on
		for i,unit in pairs(units) do
			SwitchSide(unit, 0)
			EnableAttackDamage(unit)
			DisableInvincibility(unit)
		end
		local units = GetUnits("*", "*", 3)
		for i,unit in pairs(units) do
			SwitchSide(unit, 1)
			EnableAttackDamage(unit)
			DisableInvincibility(unit)
		end
		    	
		end
		if destroyed == 10 then
			ShowDialogEternal("Portraits/dip_elithen_talkinghead","TXT_CAMPAIGN6E_4_3")
			AddTimer(4.0,endgame)
            			
		end
	end
end

function SpawnTwoEnemyUnit()
	SpawnUnits("start2",Army)
end

function endgame()
    HideDialog()
	SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)

	-- Balanced for castle level 4
	SpellLevel = 2
	Army1 = 2
	Army2 = 2
	Army3 = 3

	--SpawnUnits("start",Army1)
	
	if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("start1", Army)
		SpawnUnits("start2", Army1)
	end
end

