siege_count = 0
under_attack = true
SpellLevel = 5
Army = 8
Army1 = 8
Army2 = 7
destroyed = 0

function onDeployStart()
	SetWinnable(false)
	ShowDialog("Portraits/dip_ragnar_talkinghead", "TXT_CAMPAIGN9B5_RAGNAR")
	SetTriggerCallbacks("break_siege", onTriggerEnter_trigger_break_siege, onTriggerLeave_trigger_break_siege)
end

function onLevelStart()
	
	SetVictoryBarEnabled(false)
	barrage()
	SetAI1() -- Allies
	SetAI2() -- Enemies
	SetDisplayTimer(75, 0)

end

function SetAI1() -- sets allies to not do damage
	local units = GetUnits("*", "*", 2)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
	end
end

function SetAI2() -- sets attacker on allies to not do damage
	local units = GetUnits("*", "*", 3)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
	end
end

function barrage()  -- Bombards City with Fireballs, and increases siege_count
	
	if under_attack == true then
		siege_count = siege_count + 1
		CastSpell("fireball", SpellLevel, "fireball"..math.random(2), 3)
		checksiege()
		AddTimer(5.0, barrage)
	end
	
end

function checksiege() -- if siege_count = 15, then player loses battle

	if siege_count >= 15 then
		Lose()
	end
	
end

function onTriggerEnter_trigger_break_siege(unit)

	if unit.attacker then
		DisableTrigger("break_siege")
		under_attack = false
		CancelAllTimers()
		SetDisplayTimer(360, 0)
		local units = GetUnits("*", "*", 2) --switches sides and puts damage on
		for i,unit in pairs(units) do
			SwitchSide(unit, 0)
			EnableAttackDamage(unit)
		end
		local units = GetUnits("*", "*", 3)
		for i,unit in pairs(units) do
			SwitchSide(unit, 1)
			EnableAttackDamage(unit)
		end
	end
	
end

function onUnitDestroyed(unit)
	if unit.defender and under_attack == false then
		destroyed = destroyed + 1
		AddTimer(3.0,final_spawn)
	end
end

function final_spawn()
	if destroyed == 4 then
	ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN9B5_FINALBATTLE")
	SpawnUnits("spawn1", Army2)
	SpawnUnits("spawn2", Army2)
	SetWinnable(true)
	end
end

function createStartingTroops(forPlinthInspector)
	
	if forPlinthInspector then
		SpawnUnits("spawn1",Army2)
		SpawnUnits("spawn2",Army2)
	end
end