destroyed = 0
SpellLevel = 0
Army = 0
Army1 = 0
Army2 = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	createStartingTroops(False)  -- This part here
	SetWinnable(false)
end

function onLevelStart()
    SetDisplayTimer(300, 0) -- set battle timer for 6 minutes
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/dip_alm_talkinghead","TXT_CAMPAIGN_ELITHEN_10_1")
		
	end
end

function onTalkingHeadFinish(text)
	if text == "TXT_CAMPAIGN_ELITHEN_10_1" then
		HideDialog()
		AddTimer(1, SpawnOnePlayerUnit)
		PlayVFX("PA_SpawnReinforcement", "elithen")
		PlayVFX("PA_SpawnReinforcement", "elithenleft")
		PlayVFX("PA_SpawnReinforcement", "elithenright")
		ShowDialog("Portraits/dip_elithen_talkinghead","TXT_CAMPAIGN_ELITHEN_10_2")
		ShowDialog("Portraits/dip_alm_talkinghead","TXT_CAMPAIGN_ELITHEN_10_3")
	end
end

function SpawnOnePlayerUnit()
	SpawnUnits("start6",Army)
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 6 then
			RespawnUnits("start1", Army1)
			RespawnUnits("start2", Army1)
		end
		if destroyed == 10 then
		    ShowDialog("Portraits/dip_alm_talkinghead","TXT_CAMPAIGN_ELITHEN_10_4")
			RespawnUnits("start3", Army2)
			RespawnUnits("start4", Army2)
		end
		if destroyed == 13 then
			--PlayVFX("PA_SpawnReinforcement", "airspawn")
			PlayVFX("PA_SpawnReinforcement", "airspawnleft")
			PlayVFX("PA_SpawnReinforcement", "airspawnright")
			AddTimer(1, SpawnOneEnemyUnit) 
		end
		if destroyed == 15 then
		    ShowDialog("Portraits/dip_alm_talkinghead","TXT_CAMPAIGN_ELITHEN_10_5")
		    PlayVFX("PA_SpawnReinforcement", "airtitan")
		    AddTimer(1, SpawnTitanEnemyUnit) 
			RespawnUnits("start1", Army1)		
		end
		if destroyed == 18 then
			ShowDialogEternal("Portraits/dip_elithen_talkinghead","TXT_CAMPAIGN_ELITHEN_10_6")
			AddTimer(8.0,endgame)
            			
		end
	end
end

function SpawnOneEnemyUnit()
	SpawnUnits("start5",Army)
end

function SpawnTitanEnemyUnit()
	SpawnUnits("startTitan",Army)
end

function endgame()
    HideDialog()
	SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 5 and Rank <= 11 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 12 then
			SpellLevel = 12
			Army = 10
			Army1 = 11
			Army2 = 12
		end
	SpawnUnits("start",Army)
	
	if forPlinthInspector then  	-- For plinth inspector, we want the later waves too
		SpawnUnits("start1", Army)
		SpawnUnits("start2", Army)
		SpawnUnits("start3", Army1)
		SpawnUnits("start4", Army1)
		SpawnUnits("start5", Army)
		SpawnUnits("startTitan", Army)
	end
end

