destroyed = 0
SpellLevel = 0
Rank = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	SetupVictoryBar()
end

function onLevelStart()
	
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 3 then
			wave0()
		end
		if destroyed == 7 then
			wave3()
		end
		if destroyed == 8 then
			SetWinnable(true)
		end
	end
end

function wave0()
    SpawnUnits("start1",Army)
end
function wave3()
    SpawnUnits("start4",Army)
	PlayVFX("PA_SpawnReinforcement", "titan")
	AddTimer(1, titanspawn)
end
function titanspawn()
    SpawnUnits("titan")
end

function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(3/10)
	AddVictoryBarMarker(7/10)
	AddVictoryBarMarker(1.0)
end

function createStartingTroops(forPlinthInspector)
		Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 6 and Rank <= 12 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 13 then
			SpellLevel = 13
			Army = 11
			Army1 = 12
			Army2 = 13
		end
	SpawnUnits("start",Army)

		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("start1",Army)
		SpawnUnits("start4",Army)
		SpawnUnits("titan",Army)
	end
end










