destroyed = 0
SpellLevel = 0
Rank = 0

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	ShowDialogEternal("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_4_1")
    AddTimer(6,talk)
	SetMultipleUnitSelectionButtonEnabled(false)
	SetStandGuardButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
end

function talk()
    HideDialog()
    ShowDialog("Portraits/dip_moss_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_4_2")
	AddTimer(4.5,startgame)
end

function startgame()
	SetMultipleUnitSelectionButtonEnabled(true)
	SetStandGuardButtonEnabled(true)
	SetAutoOrdersButtonEnabled(true)
	SetFightButtonEnabled(true)
end

function onLevelStart()
	SetVictoryBarEnabled(false)
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 2 then
		    ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_4_3")
			SpawnUnits("start1")
			SetVictoryBarEnabled(true)
		end
		if destroyed == 6 then
		    AddTimer(6,ending)
			ShowDialogEternal("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_MOSSMANE_3_4_4")
		end
	end
end

function ending()
    HideDialog()
    SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 7 and Rank <= 13 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 14 then
			SpellLevel = 13
			Army = 11
			Army1 = 12
			Army2 = 14
		end
		
	SpawnUnits("start",Army)
	
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("start1",Army)
	end
end










