destroyed = 0
SpellLevel = 0
Army = 0
Army1 = 0
Army2 = 0
Rank = 0

sentReinforcements = false

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_RAGNAR_2_1_1")
	
end

function onCameraAnimationFinish(cameraName)
	if cameraName == "BATTLE_START" then
		
		HideDialog()
		ShowDialog("Portraits/Ragnar_talkinghead", "TXT_CAMPAIGN_RAGNAR_2_1_2")
		
	end
end

function onUnitDestroyed(unit)
	
	local enemyUnitsRemaining = GetUnits("*","*start*",1)
	if #enemyUnitsRemaining <= 2 and not sentReinforcements then
		
		if math.random() < 0.5 then
			SpawnUnits("ragnar_reinforcement_r",Army)
		else
			SpawnUnits("ragnar_reinforcement_l",Army)
		end
		
		AddTimer(1,ShowDialog,"Portraits/Guard_talkinghead", "TXT_CAMPAIGN_RAGNAR_2_1_3")
		
		sentReinforcements = true
		
	end
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 5 then
        SetWinnable(true)
		end
	end
end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 6 and Rank <= 11 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 12 then
			SpellLevel = 12
			Army = 10
			Army1 = 11
			Army2 = 12
		end
	SpawnUnits("start",Army)
	SpawnUnits("start1",Army1)

		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("start1",Army1)
		SpawnUnits("ragnar_reinforcement_r",Army)
		SpawnUnits("ragnar_reinforcement_l",Army)
	end
end

