SpellLevel = 0
Army = 0
Army1 = 0
Army2 = 0
Rank = 0
zone1 = false
zone2 = false

function onDeployStart()
	createStartingTroops(False)
	ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_RAGNAR5_3")
end

function onLevelStart()
	SetTriggerCallbacks("message1", message1_onTriggerEnter)
	SetTriggerCallbacks("message2", message2_onTriggerEnter)
	SetTriggerCallbacks("message3", message3_onTriggerEnter)
	SetTriggerCallbacks("message4", message4_onTriggerEnter)
	SetWinnable(false)
	SetVictoryBarEnabled(false)
	victorycheck()

end

function message1_onTriggerEnter(unit)
	DisableTrigger("message1")
	DisableTrigger("message2")
	ShowDialog("Portraits/Orlok_talkinghead","TXT_CAMPAIGN_RAGNAR5_1")
	zone1 = true
	circlecheck()
end

function message2_onTriggerEnter(unit)
	DisableTrigger("message1")
	DisableTrigger("message2")
	ShowDialog("Portraits/Orlok_talkinghead","TXT_CAMPAIGN_RAGNAR5_1")
	zone1 = true
end

function message3_onTriggerEnter(unit)
	DisableTrigger("message3")
	DisableTrigger("message4")
	SpawnUnits("skel1",Army1)
	ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_RAGNAR5_2")
	zone2 = true
	circlecheck()
end

function message4_onTriggerEnter(unit)
	DisableTrigger("message3")
	DisableTrigger("message4")
	SpawnUnits("skel1",Army1)
	ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_RAGNAR5_2")
	zone2 = true
end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 5 and Rank <= 11 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
		elseif Rank >= 12 then
			SpellLevel = 12
			Army = 10
			Army1 = 11
			Army2 = 12
		end
		
		SpawnUnits("start",Army)


	-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("skel1",Army1)

	end
end

function victorycheck()
	if zone1 ==false and zone2 == true then
		AddTimer(1.0, victorycheck)

	elseif zone1 == true and zone2 == false then
		AddTimer(1.0, victorycheck)

	elseif zone1 == false and zone2 == false then
		AddTimer(1.0, victorycheck)
	elseif zone1 == true and zone2 == true then
		victory()
	end
end

function circlecheck()
	if zone1 ==false and zone2 == true then
		--Add circle here to help guide players to location
		AddTargetCircle("circleleft")
	elseif zone1 == true and zone2 == false then
		--Add circle here to help guide player to 2nd location
		AddTargetCircle("circleright")
	end
end

function victory()
	SetWinnable(true)
	
end









