

-- called at before the deploy phase
function onDeployStart()
	-- register the triggers in the level
	SetTriggerCallbacks("NEW_SHAPE", onTriggerEnter_trigger_NEW_SHAPE, onTriggerLeave_trigger_NEW_SHAPE)
	ShowDialogDismiss("Portraits/Guard_talkinghead", "TXT_CAMPAIGN6D_4_1")	
	
	
end

-- called after the deploy phase
function onLevelStart()
	--SetPanningCamera(26.2,-99,53,-0.43,-0.40)
	SetBattleTime(480)
	SetAI1() -- allies
	SetAI2() -- enemy attacking allies
	HideDialog()

	

		
end

function SetAI1() -- sets allies to not do damage
	local units = GetUnits("*", "*", 2)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
	end
end

function SetAI2() -- sets attacker on allies to not do damage
	local units = GetUnits("*", "*", 3)
	for i,unit in pairs(units) do
			--SetUnitStandGround(unit,true)
			DisableAttackDamage(unit)
	end
end
 


function onTriggerEnter_trigger_NEW_SHAPE(unit)
	if unit.attacker then
		DisableTrigger("NEW_SHAPE") 
		local units = GetUnits("*", "*", 2) --switches sides and puts damage on
		for i,unit in pairs(units) do
			SwitchSide(unit, 0)
			EnableAttackDamage(unit)
		end
		local units = GetUnits("*", "*", 3)
		for i,unit in pairs(units) do
			SwitchSide(unit, 1)
			EnableAttackDamage(unit)
		end
	end
end
