destroyed = 0
SpellLevel = 0
Rank = 0
Titan = 0
Army = 0
Army1 = 0
Army2 = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
													-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	SetWinnable(false)
	SetMultipleUnitSelectionButtonEnabled(false)
	SetStandGuardButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
	AddTimer(2.0, enter)  -- calls in enemy spawns
end

function enter()
	PlayVFX("PA_SpawnReinforcement", "militia")
	PlayVFX("PA_SpawnReinforcement", "militia1")
	AddTimer(1, spawnenter)
end
function spawnenter()
	SpawnUnits("militia",Army)
	AddTimer(1, enter1)
end
function enter1()
	PlayVFX("PA_SpawnReinforcement", "elithen")
	PlayVFX("PA_SpawnReinforcement", "elithen1")
	AddTimer(1, spawnenter1)
end
function spawnenter1()
	SpawnUnits("elithen",Army)
	AddTimer(1, enter2)
end
function enter2()
	PlayVFX("PA_SpawnReinforcement", "archer")
	PlayVFX("PA_SpawnReinforcement", "archer1")
	PlayVFX("PA_SpawnReinforcement", "unak")
	AddTimer(1, spawnenter2)
end
function spawnenter2()
	SpawnUnits("unak",Army1)
	SpawnUnits("archer",Army)
	AddTimer(4, startgame)
end

function startgame()
	SetMultipleUnitSelectionButtonEnabled(true)
	SetStandGuardButtonEnabled(true)
	SetAutoOrdersButtonEnabled(true)
	SetFightButtonEnabled(true)
end

function onLevelStart()

	SetTriggerCallbacks("trap", trap_onTriggerEnter, trap_onTriggerLeave)
	GiveNamedUnitMoveOrder("titan", "retreat")  -- tells the unit to run away
	Standstill()
	SetDisplayTimer(300, 0) -- set battle timer for 5 minutes
	AddTimer(300,Lose)
	
end

function Standstill() -- tells the unit to stand ground
	local units = GetUnits("*", "titan", 1)
	for i,unit in pairs(units) do
		SetUnitStandGround(unit, true)
	end
	SetCanGrowAwareness("titan",false)
end
function awarenesson()
	SetCanGrowAwareness("titan",true)
end

function trap_onTriggerEnter(unit)

	if unit.attacker then

		RespawnUnits("skeleton",Army)
		DisableTrigger("trap")
		AddTimer(0.1,awarenesson)
	
	end


end

--enemy units destroyed and the effects they will give out
function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 10 then
			SetWinnable(true)
		end
	end
end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank <= 11 then			
			Army = 9
			Army1 = 11
			Titan = 9
		elseif Rank == 12 then			
			Army = Rank -2
			Army1 = Rank 
			Titan = Rank -2
		elseif Rank == 13 then			
			Army = Rank -2
			Army1 = Rank -1
			Titan = 12
		elseif Rank == 14 then			
			Army = Rank -2
			Army1 = Rank -1
			Titan = 12
		elseif Rank == 15 then			
			Army = Rank -2
			Army1 = Rank -1
			Titan = 12
		elseif Rank == 16 then			
			Army = Rank -2
			Army1 = Rank -1
			Titan = 12
		elseif Rank == 17 then			
			Army = Rank -2
			Army1 = Rank -1
			Titan = 12
		elseif Rank == 18 then			
			Army = Rank -2
			Army1 = Rank -1
			Titan = 12
		elseif Rank == 19 then			
			Army = Rank -2
			Army1 = Rank -1
			Titan = 12
		elseif Rank >= 20 then
			SpellLevel = Rank -2
			Army = 19
			Army1 = 19
			Titan = 20
	end
		
	SpawnUnits("titan",Titan)
			
	if forPlinthInspector then
		SpawnUnits("titan",Titan)
		SpawnUnits("skeleton",Army)	
		SpawnUnits("unak",Army1)
		SpawnUnits("archer",Army)
		SpawnUnits("elithen",Army)
		SpawnUnits("militia",Army)
	end
end










