destroyed = 0
SpellLevel = 0
Rank = 0
Titan = 0
Army = 0
Army1 = 0
Army2 = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
  QueueVFX("ElderStone_EnergyPropStones")
end

function onDeployStart()
													-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	SetWinnable(false)
end

function onLevelStart()
    SetTriggerCallbacks("trap", trap_onTriggerEnter, trap_onTriggerLeave)
	SetDisplayTimer(300, 0) -- set battle timer for 5 minutes
	AddTimer(300,Lose)

end

function trap_onTriggerEnter(unit)

	if unit.attacker then

		DisableTrigger("trap")
		AddTimer(2.0,arrival)
		PlayVFX("ElderStone_EnergyPropStones", "glowright")
	
	end


end

--Arrivals of enemies from the portals on the map
function arrival()
	PlayVFX("PA_SpawnReinforcement", "right")
	PlayVFX("PA_SpawnReinforcement", "right1")
    AddTimer(1.0,arrivalspawn)	
end
function arrivalspawn()
	SpawnUnits("militia1",Army)
	SpawnUnits("archer1",Army1)
    AddTimer(8.0,arrival2)
	AddTimer(6.0,glow)
	StopVFX("ElderStone_EnergyPropStones", "glowright")
end
--
function arrival2()
	PlayVFX("PA_SpawnReinforcement", "left")
	PlayVFX("PA_SpawnReinforcement", "left1")
    AddTimer(1.0,arrivalspawn2)
end
function arrivalspawn2()
	SpawnUnits("militia2",Army)
	SpawnUnits("archer2",Army1)
    AddTimer(8.0,arrival3)
	AddTimer(6.0,glow1)
	StopVFX("ElderStone_EnergyPropStones", "glowleft")
end
--
function arrival3()
	PlayVFX("PA_SpawnReinforcement", "right")
	PlayVFX("PA_SpawnReinforcement", "right1")
    AddTimer(1.0,arrivalspawn3)
end
function arrivalspawn3()
	SpawnUnits("militia3",Army)
	SpawnUnits("unak",Army1)
    AddTimer(8.0,arrival4)
	AddTimer(6.0,glow2)
	StopVFX("ElderStone_EnergyPropStones", "glowright")
end
--
function arrival4()
	PlayVFX("PA_SpawnReinforcement", "left")
	PlayVFX("PA_SpawnReinforcement", "left1")
    AddTimer(1.0,arrivalspawn4)
end
function arrivalspawn4()
	SpawnUnits("ragnar",Army)
	SpawnUnits("titan",Army1)
	StopVFX("ElderStone_EnergyPropStones", "glowleft")
end

-- Portal stone glow calls
function glow()
    PlayVFX("ElderStone_EnergyPropStones", "glowleft")
end
function glow1()
    PlayVFX("ElderStone_EnergyPropStones", "glowright")
end
function glow2()
    PlayVFX("ElderStone_EnergyPropStones", "glowleft")
end

--enemy units destroyed and the effects they will give out
function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 10 then
			SetWinnable(true)
		end
	end
end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank <= 13 then			
			Army = 11 
			Army1 = 13
			Titan = 11
		elseif Rank == 14 then			
			Army = Rank -2
			Army1 = Rank
			Titan = Rank -2
		elseif Rank == 15 then			
			Army = Rank -2
			Army1 = Rank
			Titan = Rank
		elseif Rank == 16 then			
			Army = Rank -2
			Army1 = Rank -1
			Titan = Rank
		elseif Rank == 17 then			
			Army = Rank -2
			Army1 = Rank -2
			Titan = 16
		elseif Rank == 18 then			
			Army = Rank -2
			Army1 = Rank -2
			Titan = 16
		elseif Rank == 19 then			
			Army = Rank -2
			Army1 = Rank -2
			Titan = 16
		elseif Rank >= 20 then
			SpellLevel = Rank -2
			Army = 19
			Army1 = 19
			Titan = 20
	end
		
		SpawnUnits("pikeman",Army)
			
	if forPlinthInspector then
		SpawnUnits("titan",Titan)
		SpawnUnits("unak",Army1)
		SpawnUnits("archer1",Army1)
		SpawnUnits("archer2",Army1)
		SpawnUnits("militia1",Army)
		SpawnUnits("militia2",Army)
		SpawnUnits("militia3",Army)
		SpawnUnits("pikeman",Army)
		SpawnUnits("ragnar",Army)
	end
end










