destroyed = 0
SpellLevel = 0
Rank = 0
Titan = 0
Army = 0
Army1 = 0
Army2 = 0

function QueueAssets()
  QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
													-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	SetWinnable(false)
	AddTargetCircle("circle")
end

function onLevelStart()
	SetDisplayTimer(300, 0) -- set battle timer for 5 minutes
	AddTimer(300,Lose)
	SetVictoryBarFill(0)
	SetTriggerCallbacks("impact1", impact1_onTriggerEnter, impact1_onTriggerLeave)
	SetTriggerCallbacks("ambush", ambush_onTriggerEnter, ambush_onTriggerLeave)
end

function impact1_onTriggerEnter(unit)
	if unit.attacker then
	    SpawnUnits("militia",Army)
		DisableTrigger("impact1")
	end	
end

function ambush_onTriggerEnter(unit)
	if unit.attacker then
	    SpawnUnits("mossmane",Army1)
		SpawnUnits("ragnar",Army1)
		SpawnUnits("unak",Army1)
		AddTimer(1, enter)
		DisableTrigger("ambush")
	end	
end

function patrol2_onTriggerEnter(unit)
	if unit.attacker then
	    SpawnUnits("archer",Army1)
		DisableTrigger("patrol2")
	end	
end

function exit_onTriggerEnter(unit)
	if unit.attacker then
	    RespawnUnits("skeleton",Army)
		AddTimer(1, titanenter)
		DisableTrigger("exit")
	end	
end

function enter()
    PlayVFX("PA_SpawnReinforcement", "spawn")
	PlayVFX("PA_SpawnReinforcement", "spawn1")
	PlayVFX("PA_SpawnReinforcement", "titan")
	AddTimer(1,spawn)
end
function spawn()
    SpawnUnits("titan",Titan)
	SpawnUnits("archer",Army1)
end

--enemy units destroyed and the effects they will give out
function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 3 then
		    SetVictoryBarFill(0.25)
		end
		if destroyed == 4 then
		    AddTargetCircleWithArrow("circle")
			--AddTimer(10,hidecirlce)
			AddTimer(10,ClearTargetCircles)
		end
		if destroyed == 7 then
		    SetVictoryBarFill(0.5)
		end
		if destroyed == 10 then
		    SetVictoryBarFill(0.75)
		end
		if destroyed == 13 then
		    SetVictoryBarFill(1)
			SetWinnable(true)
		end
	end
end

--function hidecirlce()
    --ClearTargetCircles()
--end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank <= 19 then			
			Army =  17
			Army1 = 19
			Titan = 17
		elseif Rank >= 20 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank
			Titan = Rank -2
	end
		
	SpawnUnits("elithen",Army1)
	SpawnUnits("pikeman",Army)
	SpawnUnits("archerstart",Army1)
		
	if forPlinthInspector then
		SpawnUnits("titan",Titan)
		SpawnUnits("skeleton",Army)	
		SpawnUnits("archer",Army1)
		SpawnUnits("archerstart",Army1)	
		SpawnUnits("mossmane",Army1)
		SpawnUnits("elithen",Army1)
		SpawnUnits("ragnar",Army1)
		SpawnUnits("unak",Army1)
		SpawnUnits("militia",Army)
		SpawnUnits("pikeman",Army)
	end
end










