

destroyed = 0
SpellLevel = 0
Army = 0
Rank = 0

function QueueAssets()
	QueueVFX("PA_SpawnReinforcement")
end

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
end

function createStartingTroops(forPlinthInspector)

	-- Balanced for castle level 6
	SpellLevel = 4
	Army = 4
	Army2 = 4 

		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("rand1", Army2)
		SpawnUnits("rand2", Army)
		SpawnUnits("rand3", Army)
		SpawnUnits("rand4", Army2)
		SpawnUnits("titan", Army2)
	end
end


function onLevelStart()
	SetupVictoryBar()
	SetTriggerCallbacks("protect", protect_onTriggerEnter) -- central area player is supposed to protect
	RespawnUnits("rand1", Army)
	AddTimer(1.0,  FireText)
end

function FireText()
	ShowDialog("Portraits/Guard_talkinghead","TXT_FORTWAVES1_WAVE1")
end

function onCameraAnimationFinish(cameraName)
  --SetTutorial("Camera is "..cameraName)
	if cameraName == "CAMERA_INTRO*" then
		ShowDialog("Portraits/Guard_talkinghead","TXT_FORTWAVES1_INTRO")
	end
end



function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 2 then
			SetWinnable(true)	
			SpawnUnits("rand2", Army2)
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_FORTWAVES1_WAVE2")
		elseif destroyed == 5 then
			SpawnUnits("rand3", Army)
			ShowDialog ("Portraits/Guard_talkinghead", "TXT_FORTWAVES1_WAVE3")
		elseif destroyed == 7 then
			AddTimer(1.0, SpawnTitan)
			PlayVFX("PA_SpawnReinforcement", "fx1")
			SpawnUnits("rand4", Army2)
			ShowDialog ("Portraits/dip_alm_talkinghead", "TXT_FORTWAVES1_WAVE4")
		end
	end
end

function SpawnTitan()
	SpawnUnits("titan", Army2)
end

function SetupVictoryBar()
	SetVictoryBarType("WAVES")
	AddVictoryBarMarker(2/12)
	AddVictoryBarMarker(5/12)
	AddVictoryBarMarker(7/12)
	AddVictoryBarMarker(1.0)
end










